#include "bit_library.h"

extern uint64 BIprB2M (unsigned int b)
{
   uint64 q;

   q = 1;
   return q << b;
}

typedef union _qover
{
   struct
   {
      unsigned int qlo;
      unsigned int qhi;
   } lpart;
   uint64 qpart;
} QOVER;

static const QOVER
   qa0 = { { 0xAAAAAAAA, 0xAAAAAAAA } },
   qb0 = { { 0x55555555, 0x55555555 } },
   qa1 = { { 0xCCCCCCCC, 0xCCCCCCCC } },
   qb1 = { { 0x33333333, 0x33333333 } },
   qa2 = { { 0xF0F0F0F0, 0xF0F0F0F0 } },
   qb2 = { { 0x0F0F0F0F, 0x0F0F0F0F } },
   qa3 = { { 0xFF00FF00, 0xFF00FF00 } },
   qb3 = { { 0x00FF00FF, 0x00FF00FF } },
   qa4 = { { 0xFFFF0000, 0xFFFF0000 } },
   qb4 = { { 0x0000FFFF, 0x0000FFFF } },
   qa5 = { { 0x00000000, 0xFFFFFFFF } },
   qb5 = { { 0xFFFFFFFF, 0x00000000 } };

//
// Count bits in a 64-bit integer
//
extern int BIprCnt64 (uint64 x)
{
   x = ((x & qa0.qpart) >>  1) + (x & qb0.qpart);
   x = ((x & qa1.qpart) >>  2) + (x & qb1.qpart);
   x = ((x & qa2.qpart) >>  4) + (x & qb2.qpart);
   x = ((x & qa3.qpart) >>  8) + (x & qb3.qpart);
   x = ((x & qa4.qpart) >> 16) + (x & qb4.qpart);
   x = ((x & qa5.qpart) >> 32) + (x & qb5.qpart);
   return (int) x;
}

extern int BIprWhich (uint64 m)
{
   return BIprCnt64 (BIprLowest (m) - 1);
}

extern int BIprRelPos (uint64 m, unsigned int b)
{
   return BIprCnt64 (BIprClrHi (m, b - 1));
}
