#if defined(__DECC) || defined(__DECCXX)
# pragma module HISTOGRAM_BUFFER_NT "X-1"
#endif

/* HISTOGRAM_BUFFER_NT.C */

/****************************************************************************/
/*                                                                          */
/*  COPYRIGHT (c) 1994 BY                                                   */
/*  DIGITAL EQUIPMENT CORPORATION, MAYNARD, MASSACHUSETTS.                  */
/*  ALL RIGHTS RESERVED.                                                    */
/*                                                                          */
/*  THIS SOFTWARE IS FURNISHED UNDER A LICENSE AND MAY BE USED AND COPIED   */
/*  ONLY IN  ACCORDANCE WITH  THE  TERMS  OF  SUCH  LICENSE  AND WITH THE   */
/*  INCLUSION OF THE ABOVE COPYRIGHT NOTICE. THIS SOFTWARE OR  ANY  OTHER   */
/*  COPIES THEREOF MAY NOT BE PROVIDED OR OTHERWISE MADE AVAILABLE TO ANY   */
/*  OTHER PERSON.  NO TITLE TO AND OWNERSHIP OF  THE  SOFTWARE IS  HEREBY   */
/*  TRANSFERRED.                                                            */
/*                                                                          */
/*  THE INFORMATION IN THIS SOFTWARE IS  SUBJECT TO CHANGE WITHOUT NOTICE   */
/*  AND  SHOULD  NOT  BE  CONSTRUED AS  A COMMITMENT BY DIGITAL EQUIPMENT   */
/*  CORPORATION.                                                            */
/*                                                                          */
/*  DIGITAL ASSUMES NO RESPONSIBILITY FOR THE USE  OR  RELIABILITY OF ITS   */
/*  SOFTWARE ON EQUIPMENT WHICH IS NOT SUPPLIED BY DIGITAL.                 */
/*                                                                          */
/*                                                                          */
/****************************************************************************/

/*
 * Abstract:    This file contains the histogram buffer
 *              kernel routines based on the IPROBE API
 *              kernel rationalization (reorganization).
 *
 * Author:              Bradley M. Waters
 * Creation Date:       14-NOV-1994
 *
 * Modified by:
 *
 * X-1  BMW             Bradley M. Waters       14-Nov-1994
 *      Original Version.
 *
*/

#ifdef __NT
#  include "ntddk.h"
#endif

#include "ipr_kernel_int_defs.h"

#ifdef __NT
#  include "ipr_driver_nt.h"
#endif

#ifdef   TRCI
#include "TraceDrv.h"
#endif

extern IPR_STATUS KIprHbValidRange(IN IPR_HDESC *descrip)
{
   uint64
      lomax,
      himin,
      minval,
      maxval;

#ifdef TRC0
   TrcPrint("KIprHbValidRange enter...\n");
#endif
   if (!descrip)
   {
#ifdef TRCE
      TrcPrint("KIprHbValidRange Error: descrip ptr is null\n");
#endif
      return IPR__NULLPTR;
   }
   lomax = BIprSetLo (30);
   himin = ~lomax;
   minval = descrip -> minval;
   maxval = minval + descrip -> numvalues - 1;

   if ((maxval < minval) ||                    // Range ends up in wrong order
       (minval <= lomax && maxval > lomax) ||  // Top in different portion
       (minval > lomax && minval < himin))     // Bottom in forbidden zone
      return IPR__INVHBRANGE;
   return IPR__SUCCESS;
}

