#ifndef __CTR_EXT_DEFS_LOADED
#define __CTR_EXT_DEFS_LOADED
//
//
// Module:	CTR_EXT_DEFS.H
//
// Version:	X-1
//
/****************************************************************************/
/*									    */
/*  COPYRIGHT (c) 1995 BY						    */
/*  DIGITAL EQUIPMENT CORPORATION, MAYNARD, MASSACHUSETTS.		    */
/*  ALL RIGHTS RESERVED.						    */
/* 									    */
/*  THIS SOFTWARE IS FURNISHED UNDER A LICENSE AND MAY BE USED AND COPIED   */
/*  ONLY IN  ACCORDANCE WITH  THE  TERMS  OF  SUCH  LICENSE  AND WITH THE   */
/*  INCLUSION OF THE ABOVE COPYRIGHT NOTICE. THIS SOFTWARE OR  ANY  OTHER   */
/*  COPIES THEREOF MAY NOT BE PROVIDED OR OTHERWISE MADE AVAILABLE TO ANY   */
/*  OTHER PERSON.  NO TITLE TO AND OWNERSHIP OF  THE  SOFTWARE IS  HEREBY   */
/*  TRANSFERRED.							    */
/* 									    */
/*  THE INFORMATION IN THIS SOFTWARE IS  SUBJECT TO CHANGE WITHOUT NOTICE   */
/*  AND  SHOULD  NOT  BE  CONSTRUED AS  A COMMITMENT BY DIGITAL EQUIPMENT   */
/*  CORPORATION.							    */
/* 									    */
/*  DIGITAL ASSUMES NO RESPONSIBILITY FOR THE USE  OR  RELIABILITY OF ITS   */
/*  SOFTWARE ON EQUIPMENT WHICH IS NOT SUPPLIED BY DIGITAL.		    */
/* 									    */
/*									    */
/****************************************************************************/
//
//             Patent Pending, Digital Equipment Corporation
//
//
//
// Abstract:	This header file contains exported counter
//		definitions.
//
// Author:		Brian F. Wibecan
// Creation Date:	20-Jun-1995
//
// Modified by:
//
// X-1	BFW		Brian F. Wibecan	20-Jun-1995
//	Original version.
//

#include "ipr_base_defs.h"

#define CRECTRNAME1(z) Ctr ## z
#define CRECTRNAME(x) CRECTRNAME1(x)
#include "ctr_names.h"
#undef CRECTRNAME
#undef CRECTRNAME1

extern IPR_STATUS
   CtrCounterNumber (int,
                     const IPR_EVENT,
                     IPR_CTRNUMBER *),
   CtrEventCounterMap (int,
                       IPR_EVENT *,
                       IPR_SIZE),
   CtrFreqCounterMap (int,
                      IPR_FREQ *,
                      IPR_SIZE),
   CtrCurrentEvents (int,
                     IPR_EVENTSET *),
   CtrCurrentFreqs (int,
                    const IPR_EVENT,
                    IPR_FREQ *),
   CtrCurrentModes (int,
                    IPR_MMASK *),
   CtrCurrentState (int,
                    const IPR_EVENT),
   CtrClearContext (int),
   CtrSelectEvents (int,
                    const IPR_EVENTSET *,
                    IPR_FREQ,
                    uint64 *),
   CtrSelectEventsFromArray (int,
                             const IPR_EVENT *,
                             const IPR_FREQ *,
                             IPR_SIZE,
                             uint64 *),
   CtrSetEvents (int,
                 uint64 *),
   CtrSetModes (int,
                IPR_MMASK),
   CtrEnable (int,
              IPR_CTRMASK),
   CtrDisable (int,
               IPR_CTRMASK),
   CtrPause (int,
             IPR_CTRMASK),
   CtrResume (int,
              IPR_CTRMASK),
   CtrClear (int,
             const IPR_CTRMASK),
   CtrWrite (int,
             const IPR_CTRMASK,
             int *,
             IPR_SIZE),
   CtrRead (int,
            const IPR_CTRMASK,
            int *,
            IPR_SIZE),
   CtrReadAll (int,
               int *,
               IPR_SIZE);

#ifdef __NT
#  include "ctr_ext_defs_nt.h"
#endif
#ifdef __osf__
#  include "ctr_ext_defs_osf.h"
#endif
#ifdef __VMS
#  include "ctr_ext_defs_vms.h"
#endif


#endif // ifndef __CTR_EXT_DEFS_LOADED
