#ifndef __IPR_API_INT_DEFS_LOADED
#define __IPR_API_INT_DEFS_LOADED
//
//
// Module:	IPR_API_INT_DEFS.H
//
// Version:	X-1
//
/****************************************************************************/
/*									    */
/*  COPYRIGHT (c) 1995 BY						    */
/*  DIGITAL EQUIPMENT CORPORATION, MAYNARD, MASSACHUSETTS.		    */
/*  ALL RIGHTS RESERVED.						    */
/* 									    */
/*  THIS SOFTWARE IS FURNISHED UNDER A LICENSE AND MAY BE USED AND COPIED   */
/*  ONLY IN  ACCORDANCE WITH  THE  TERMS  OF  SUCH  LICENSE  AND WITH THE   */
/*  INCLUSION OF THE ABOVE COPYRIGHT NOTICE. THIS SOFTWARE OR  ANY  OTHER   */
/*  COPIES THEREOF MAY NOT BE PROVIDED OR OTHERWISE MADE AVAILABLE TO ANY   */
/*  OTHER PERSON.  NO TITLE TO AND OWNERSHIP OF  THE  SOFTWARE IS  HEREBY   */
/*  TRANSFERRED.							    */
/* 									    */
/*  THE INFORMATION IN THIS SOFTWARE IS  SUBJECT TO CHANGE WITHOUT NOTICE   */
/*  AND  SHOULD  NOT  BE  CONSTRUED AS  A COMMITMENT BY DIGITAL EQUIPMENT   */
/*  CORPORATION.							    */
/* 									    */
/*  DIGITAL ASSUMES NO RESPONSIBILITY FOR THE USE  OR  RELIABILITY OF ITS   */
/*  SOFTWARE ON EQUIPMENT WHICH IS NOT SUPPLIED BY DIGITAL.		    */
/* 									    */
/*									    */
/****************************************************************************/
//
//             Patent Pending, Digital Equipment Corporation
//
// Abstract:	This header file contains internal IPROBE API definitions.
//
// Author:		Brian F. Wibecan
// Creation Date:	20-Jun-1995
//
// Modified by:
//
// X-1	BFW		Brian F. Wibecan	20-Jun-1995
//	Original version.
//

#include "ipr_api_ext_defs.h"
#include "ctr_ext_defs.h"
#include "ipr_kernel_ext_defs.h"

typedef struct _ipr_sharedata {
    uint64 guardedinfo;
    unsigned int counterowner;
    unsigned int countersrunning;
    } IPR_SHAREDATA;

extern IPR_SHAREDATA
   *ShareArea;

#define IPR_AFFINITY 1
#define IPR_NOAFFINITY 0

extern IPR_CPUNUM first_cpu (
   IN IPR_CPUMASK cpus,
   IN IPR_BOOLEAN affinity_flag);
extern IPR_CPUNUM next_cpu (
   IN IPR_CPUMASK cpus,
   IN IPR_CPUNUM curcpu,
   IN int affinity_flag);
extern IPR_BOOLEAN owner_valid (void);

// OS specific IPR_ROUTINES

//extern IPR_STATUS set_affinity (IN IPR_CPUNUM cpu);
//extern IPR_STATUS clear_affinity (void);
//extern IPR_STATUS DoneSysInfo(void);
extern IPR_STATUS allocate_iprdevice(void);
extern IPR_STATUS deallocate_iprdevice(void);

#ifdef __VMS
#  include "ipr_api_int_vms.h"
#endif
#ifdef __osf__
#  include "ipr_api_int_osf.h"
#endif
#ifdef __NT
#  include "ipr_api_int_nt.h"
#endif

#endif // ifndef __IPR_API_INT_DEFS_LOADED
