#ifdef __NT
#ifndef __IPR_API_MACROS_NT_LOADED
#define __IPR_API_MACROS_NT_LOADED 1

/*IPR_API_MACROS_NT.H */

/****************************************************************************/
/*                                                                          */
/*  COPYRIGHT (c) 1994 BY                                                   */
/*  DIGITAL EQUIPMENT CORPORATION, MAYNARD, MASSACHUSETTS.                  */
/*  ALL RIGHTS RESERVED.                                                    */
/*                                                                          */
/*  THIS SOFTWARE IS FURNISHED UNDER A LICENSE AND MAY BE USED AND COPIED   */
/*  ONLY IN  ACCORDANCE WITH  THE  TERMS  OF  SUCH  LICENSE  AND WITH THE   */
/*  INCLUSION OF THE ABOVE COPYRIGHT NOTICE. THIS SOFTWARE OR  ANY  OTHER   */
/*  COPIES THEREOF MAY NOT BE PROVIDED OR OTHERWISE MADE AVAILABLE TO ANY   */
/*  OTHER PERSON.  NO TITLE TO AND OWNERSHIP OF  THE  SOFTWARE IS  HEREBY   */
/*  TRANSFERRED.                                                            */
/*                                                                          */
/*  THE INFORMATION IN THIS SOFTWARE IS  SUBJECT TO CHANGE WITHOUT NOTICE   */
/*  AND  SHOULD  NOT  BE  CONSTRUED AS  A COMMITMENT BY DIGITAL EQUIPMENT   */
/*  CORPORATION.                                                            */
/*                                                                          */
/*  DIGITAL ASSUMES NO RESPONSIBILITY FOR THE USE  OR  RELIABILITY OF ITS   */
/*  SOFTWARE ON EQUIPMENT WHICH IS NOT SUPPLIED BY DIGITAL.                 */
/*                                                                          */
/*                                                                          */
/****************************************************************************/
//
//             Patent Pending, Digital Equipment Corporation
//

/*
 * Abstract:    This file contains the macro definitions of the IPROBE API services
 *              defined as necessary for Windows NT.  This include file should be
 *              included in all modules that use the IPROBE API services.  This
 *              file must be kept in sync. with IPR_API_SERV_NT.H.
 *
 * Author:              Bradley M. Waters
 * Creation Date:       25-Aug-1994
 *
 * Modified by:
 *
 * X-1  BMW             Bradley M. Waters       25-Aug-1994
 *      Original Version.
 *
*/
typedef struct _LIBRARY_ENTRY {
        LPCSTR lpszFunctionName;        //function name in ANSI string
        FARPROC lpFunction;             //pointer to the function
} LIBRARY_ENTRY, *PLIBRARY_ENTRY;

extern LIBRARY_ENTRY libEntry[];

// NOTE: The following macro definitions must be kept in synch. with IPR_API_SERV_NT.H

#define IprAllocate()                                                   (*libEntry[0].lpFunction)()
#define IprDeallocate()                                                 (*libEntry[1].lpFunction)()
#define IprSetActiveCounters(cpus,validmask,retmask)                    (*libEntry[2].lpFunction)(cpus,validmask,retmask)
#define IprSetSampleSkip(cpus,skip_values,arrsize)                      (*libEntry[3].lpFunction)(cpus,skip_values,arrsize)
#define IprCreateSampleBuffers(cpus,bufcnt,bufsiz,datcol,qdatcol,sampeact,fullact,pRoutine,rangecnt,ranges)     (*libEntry[4].lpFunction)(cpus,bufcnt,bufsiz,datcol,qdatcol,sampeact,fullact,pRoutine,rangecnt,ranges)
#define IprAddAddressHistogramBuffers(cpus,BeginA,EndA,gran,index)      (*libEntry[5].lpFunction)(cpus,BeginA,EndA,gran,index)
#define IprCreateHistogramBuffers(cpus,histos,BeginA,EndA,gran,index)   (*libEntry[6].lpFunction)(cpus,histos,BeginA,EndA,gran,index)
#define IprDeleteBuffers(cpus)                                          (*libEntry[7].lpFunction)(cpus)
#define IprSelectEvents(cpus,events,freq,MUXval)                        (*libEntry[8].lpFunction)(cpus,events,freq,MUXval)
#define IprSelectEventsFromArray(cpus,events,freqs,asize,MUXval)        (*libEntry[9].lpFunction)(cpus,events,freqs,asize,MUXval)
//10
#define IprSetEvents(cpus,MUXval)                                       (*libEntry[10].lpFunction)(cpus,MUXval)
#define IprSetModes(cpus,modes)                                         (*libEntry[11].lpFunction)(cpus,modes)
#define IprEventCounterMap(cpus,event_arr,asize)                        (*libEntry[12].lpFunction)(cpus,event_arr,asize)
#define IprFreqCounterMap(cpus,freq_arr,asize)                          (*libEntry[13].lpFunction)(cpus,freq_arr,asize)
#define IprCounterNumber(cpus,event,cnum)                               (*libEntry[14].lpFunction)(cpus,event,cnum)
#define IprStart(cpus,ctrs)                                             (*libEntry[15].lpFunction)(cpus,ctrs)
#define IprStop(cpus,ctrs)                                              (*libEntry[16].lpFunction)(cpus,ctrs)
#define IprPause(cpus,ctrs)                                             (*libEntry[17].lpFunction)(cpus,ctrs)
#define IprResume(cpus,ctrs)                                            (*libEntry[18].lpFunction)(cpus,ctrs)
#define IprRead(cpus,cpuctxptr,cmask,retdata,rsize,act_flgs)            (*libEntry[19].lpFunction)(cpus,cpuctxptr,cmask,retdata,rsize,act_flgs)
//20
#define IprReadAll(cpus,cpuctxptr,retdata,rsize,act_flgs)               (*libEntry[20].lpFunction)(cpus,cpuctxptr,retdata,rsize,act_flgs)
#define IprWrite(cpus,cpuctxptr,cmask,srcdata,srcsize)                  (*libEntry[21].lpFunction)(cpus,cpuctxptr,cmask,srcdata,srcsize)
#define IprClear(cpus,ctrs)                                             (*libEntry[22].lpFunction)(cpus,ctrs)
#define IprReadHistogram(cpus,cpuctxptr,retdata,retsize,retmin,htype,index,act_flgs)            (*libEntry[23].lpFunction)(cpus,cpuctxptr,retdata,retsize,retmin,htype,index,act_flgs)
#define IprClearHistograms(cpus,hmask,index)                            (*libEntry[24].lpFunction)(cpus,hmask,index)
#define IprMarkEmptySampleBuffer(Sptr)                                  (*libEntry[25].lpFunction)(Sptr)
#define IprNextFullSampleBuffer(cpus,bctx,bsize,part_flg)              (*libEntry[26].lpFunction)(cpus,bctx,bsize,part_flg)
#define IprClearContext(cpus)                                           (*libEntry[27].lpFunction)(cpus)
#define IprWriteToSampleFile(bptr,bsize)                                (*libEntry[28].lpFunction)(bptr,bsize)
#define IprWriteOneSampleBuffer(bptr,bsize)                             (*libEntry[29].lpFunction)(bptr,bsize)
//30
#define IprWriteSampleBuffers(cpus,write_flg,rbufwrt,rprtwrt)           (*libEntry[30].lpFunction)(cpus,write_flg,rbufwrt,rprtwrt)
#define IprTerminateSampling(rbufwrt,rprtwrt)                           (*libEntry[31].lpFunction)(rbufwrt,rprtwrt)
#define IprSpecifyOperations(cpus,sel_evt,sel_freq,ecount,sel_modes,MUXval,ctrmask)             (*libEntry[32].lpFunction)(cpus,sel_evt,sel_freq,ecount,sel_modes,MUXval,ctrmask)
#define IprReadMultipleHistograms(cpus,cpuctxptr,retdata,retsize,retmin,htype,index,act_flgs,itemcnt)   (*libEntry[33].lpFunction)(cpus,cpuctxptr,retdata,retsize,retmin,htype,index,act_flgs,itemcnt)
#define IprCloseSampleFile(bufw,prtw)                                   (*libEntry[34].lpFunction)(bufw,prtw)
#define IprOpenSampleFile(fname,defname)                                (*libEntry[35].lpFunction)(fname,defname)
#define IprAvailableEvents(req_evts,add_evts)                           (*libEntry[36].lpFunction)(req_evts,add_evts)
#define IprAvailableFreqs(event,freqs)                                  (*libEntry[37].lpFunction)(event,freqs)
#define IprAvailableModes(modes)                                        (*libEntry[38].lpFunction)(modes)
#define IprAvailableFuncs(funcs)                                        (*libEntry[39].lpFunction)(funcs)
//40
#define IprNumCounters()                                                (*libEntry[40].lpFunction)()
#define IprEventSetSize()                                               (*libEntry[41].lpFunction)()
#define IprClearEventSet(e)                                             (*libEntry[42].lpFunction)(e)
#define IprInsertEvent(s,e)                                             (*libEntry[43].lpFunction)(s,e)
#define IprDeleteEvent(s,e)                                             (*libEntry[44].lpFunction)(s,e)
#define IprMaskEventSet(dst,msk)                                        (*libEntry[45].lpFunction)(dst,msk)
#define IprMergeEventSet(dst,msk)                                       (*libEntry[46].lpFunction)(dst,msk)
#define IprRemoveEventSet(dst,msk)                                      (*libEntry[47].lpFunction)(dst,msk)
#define IprEventToNumber(eset)                                          (*libEntry[48].lpFunction)(eset)
#define IprNumberEventsInSet(eset)                                      (*libEntry[49].lpFunction)(eset)
//50
#define IprExpandEventSet(s,a,size)                                     (*libEntry[50].lpFunction)(s,a,size)
#define IprPrintMessage(tag,errcode,callback)                           (*libEntry[51].lpFunction)(tag,errcode,callback)
#define IprEventNumberToName(evt)                                       (*libEntry[52].lpFunction)(evt)
#define IprNumberOfEvents()                                             (*libEntry[53].lpFunction)()
#define IprEventNameToNumber(ename,evtnum,matches)                      (*libEntry[54].lpFunction)(ename,evtnum,matches)
#define IprHbIndex(val,ctr,numctrs,minval,gran,index)                   (*libEntry[55].lpFunction)(val,ctr,numctrs,minval,gran,index)
#define IprHbValue(index,numctrs,minval,gran,val)                       (*libEntry[56].lpFunction)(index,numctrs,minval,gran,val)
#define IprHbElements(numctrs,numval,gran,numelem)                      (*libEntry[57].lpFunction)(numctrs,numval,gran,numelem)
#define IprCounterEvents(ctr,eset)                                      (*libEntry[58].lpFunction)(ctr,eset)
#define IprAvailableCounters(evt,ctrs)                                  (*libEntry[59].lpFunction)(evt,ctrs)
//60
#define IprVerifyEventInSet(eset,evt)                                   (*libEntry[60].lpFunction)(eset,evt)
#define ResetCounter(i)                                                 (*libEntry[61].lpFunction)(i)
#define SetCounterType(i,val)                                           (*libEntry[62].lpFunction)(i,val)
#define OpenCounters()                                                  (*libEntry[63].lpFunction)()
#define IprSetAffinity(cpus,flag,retv)					(*libEntry[64].lpFunction)(cpus,flag,retv)
#define IprHbMaxValue(index,numctrs,minval,numvals,gran,hival)		(*libEntry[65].lpFunction)(index,numctrs,minval,numvals,gran,hival)
#define BIprB2M (b)							(*libEntry[66].lpFunction)(b)
#define BIprCnt64 (uint64 x)						(*libEntry[67].lpFunction)(uint64 x)
#define BIprWhich (uint64 m)						(*libEntry[68].lpFunction)(uint64 m)
#define BIprRelPos (uint64 m,b)						(*libEntry[69].lpFunction)(uint64 m,b)

#endif
#endif
