#ifdef __NT
#ifndef __IPR_API_SERV_NT_LOADED
#define __IPR_API_SERV_NT_LOADED 1

/*IPR_API_SERV_NT.H */

/****************************************************************************/
/*                                                                          */
/*  COPYRIGHT (c) 1994 BY                                                   */
/*  DIGITAL EQUIPMENT CORPORATION, MAYNARD, MASSACHUSETTS.                  */
/*  ALL RIGHTS RESERVED.                                                    */
/*                                                                          */
/*  THIS SOFTWARE IS FURNISHED UNDER A LICENSE AND MAY BE USED AND COPIED   */
/*  ONLY IN  ACCORDANCE WITH  THE  TERMS  OF  SUCH  LICENSE  AND WITH THE   */
/*  INCLUSION OF THE ABOVE COPYRIGHT NOTICE. THIS SOFTWARE OR  ANY  OTHER   */
/*  COPIES THEREOF MAY NOT BE PROVIDED OR OTHERWISE MADE AVAILABLE TO ANY   */
/*  OTHER PERSON.  NO TITLE TO AND OWNERSHIP OF  THE  SOFTWARE IS  HEREBY   */
/*  TRANSFERRED.                                                            */
/*                                                                          */
/*  THE INFORMATION IN THIS SOFTWARE IS  SUBJECT TO CHANGE WITHOUT NOTICE   */
/*  AND  SHOULD  NOT  BE  CONSTRUED AS  A COMMITMENT BY DIGITAL EQUIPMENT   */
/*  CORPORATION.                                                            */
/*                                                                          */
/*  DIGITAL ASSUMES NO RESPONSIBILITY FOR THE USE  OR  RELIABILITY OF ITS   */
/*  SOFTWARE ON EQUIPMENT WHICH IS NOT SUPPLIED BY DIGITAL.                 */
/*                                                                          */
/*                                                                          */
/****************************************************************************/
//
//             Patent Pending, Digital Equipment Corporation
//

/*
 * Abstract:    This file contains the definitions of the IPROBE API services
 *              defined as necessary for Windows NT.  These services are defined
 *              and exported by the IPROBE API dll.  This file includes
 *              IPR_API_MACROS_NT.H and must be kept in sync. with this file.
 *              Include this file only in the module that attaches to the IPROBE API
 *              dll.  Include IPR_API_MACROS_NT.H in all modules that actually
 *              invoke IPROBE API services.
 *
 *
 * Author:              Bradley M. Waters
 * Creation Date:       25-Aug-1994
 *
 * Modified by:
 *
 * X-1  BMW             Bradley M. Waters       25-Aug-1994
 *      Original Version.
 *
*/

#include "IPR_API_MACROS_NT.H"

LIBRARY_ENTRY libEntry[] = {
        {"IprAllocate", NULL},
        {"IprDeallocate", NULL},
        {"IprSetActiveCounters", NULL},
        {"IprSetSampleSkip", NULL},
        {"IprCreateSampleBuffers", NULL},
        {"IprAddAddressHistogramBuffers", NULL},
        {"IprCreateHistogramBuffers", NULL},
        {"IprDeleteBuffers", NULL},
        {"IprSelectEvents", NULL},
        {"IprSelectEventsFromArray", NULL},
//10
        {"IprSetEvents", NULL},
        {"IprSetModes", NULL},
        {"IprEventCounterMap", NULL},
        {"IprFreqCounterMap", NULL},
        {"IprCounterNumber", NULL},
        {"IprStart", NULL},
        {"IprStop", NULL},
        {"IprPause", NULL},
        {"IprResume", NULL},
        {"IprRead", NULL},
//20
        {"IprReadAll", NULL},
        {"IprWrite", NULL},
        {"IprClear", NULL},
        {"IprReadHistogram", NULL},
        {"IprClearHistograms", NULL},
        {"IprMarkEmptySampleBuffer", NULL},
        {"IprNextFullSampleBuffer", NULL},
        {"IprClearContext", NULL},
        {"IprWriteToSampleFile", NULL},
        {"IprWriteOneSampleBuffer", NULL},
//30
        {"IprWriteSampleBuffers", NULL},
        {"IprTerminateSampling", NULL},
        {"IprSpecifyOperations", NULL},
        {"IprReadMultipleHistograms", NULL},
        {"IprCloseSampleFile", NULL},
        {"IprOpenSampleFile", NULL},
        {"IprAvailableEvents", NULL},
        {"IprAvailableFreqs", NULL},
        {"IprAvailableModes", NULL},
        {"IprAvailableFuncs", NULL},
//40
        {"IprNumCounters", NULL},
        {"IprEventSetSize", NULL},
        {"IprClearEventSet", NULL},
        {"IprInsertEvent", NULL},
        {"IprDeleteEvent", NULL},
        {"IprMaskEventSet", NULL},
        {"IprMergeEventSet", NULL},
        {"IprRemoveEventSet", NULL},
        {"IprEventToNumber", NULL},
        {"IprNumberEventsInSet", NULL},
//50
        {"IprExpandEventSet", NULL},
        {"IprPrintMessage", NULL},
        {"IprEventNumberToName", NULL},
        {"IprNumberOfEvents", NULL},
        {"IprEventNameToNumber", NULL},
        {"IprHbIndex", NULL},
        {"IprHbValue", NULL},
        {"IprHbElements", NULL},
        {"IprCounterEvents", NULL},
        {"IprAvailableCounters", NULL},
//60
        {"IprVerifyEventInSet", NULL},
        {"ResetCounter", NULL},
        {"SetCounterType", NULL},
        {"OpenCounters", NULL},
	{"IprSetAffinity",NULL},
	{"IprHbMaxValue",NULL},
	{"BIprB2M",NULL},
	{"BIprCnt64",NULL},
	{"BIprWhich",NULL},
	{"BIprRelPos",NULL},
	{NULL, NULL}
};

#endif
#endif
