#ifndef __IPR_ISR_NT_LOADED
#define __IPR_ISR_NT_LOADED 1
#if defined(__NT) || defined (NT)
/* IPR_ISR_NT.C
 *
 * Version:     X-2
 */

/****************************************************************************/
/*                                                                          */
/*  COPYRIGHT (c) 1994 BY                                                   */
/*  DIGITAL EQUIPMENT CORPORATION, MAYNARD, MASSACHUSETTS.                  */
/*  ALL RIGHTS RESERVED.                                                    */
/*                                                                          */
/*  THIS SOFTWARE IS FURNISHED UNDER A LICENSE AND MAY BE USED AND COPIED   */
/*  ONLY IN  ACCORDANCE WITH  THE  TERMS  OF  SUCH  LICENSE  AND WITH THE   */
/*  INCLUSION OF THE ABOVE COPYRIGHT NOTICE. THIS SOFTWARE OR  ANY  OTHER   */
/*  COPIES THEREOF MAY NOT BE PROVIDED OR OTHERWISE MADE AVAILABLE TO ANY   */
/*  OTHER PERSON.  NO TITLE TO AND OWNERSHIP OF  THE  SOFTWARE IS  HEREBY   */
/*  TRANSFERRED.                                                            */
/*                                                                          */
/*  THE INFORMATION IN THIS SOFTWARE IS  SUBJECT TO CHANGE WITHOUT NOTICE   */
/*  AND  SHOULD  NOT  BE  CONSTRUED AS  A COMMITMENT BY DIGITAL EQUIPMENT   */
/*  CORPORATION.                                                            */
/*                                                                          */
/*  DIGITAL ASSUMES NO RESPONSIBILITY FOR THE USE  OR  RELIABILITY OF ITS   */
/*  SOFTWARE ON EQUIPMENT WHICH IS NOT SUPPLIED BY DIGITAL.                 */
/*                                                                          */
/*                                                                          */
/****************************************************************************/
//
//             Patent Pending, Digital Equipment Corporation
//

/*
 * Abstract:    This file contains macro definitions for the Windows NT
 *              IPROBE API ISR.  This include file is based on the OSF
 *              and OpenVMS versions of this include file.
 *
 * Author:              Bradley M. Waters
 * Creation Date:       05-Jul-1994
 *
 * Modified by:
 *
 * X-2  BMW1001         Bradley M. Waters       18-Jul-1994
 *      Modified based on kernel rationalization.
 *
 * X-1  BMW             Bradley M. Waters       05-Jul-1994
 *      original version
 *
*/

#include "ints.h"

typedef KPCR CPUXX;

//extern IPR_BUFDSC
//   *BUFDSCPTRARRAY [];

/*****************************************************************************
 * NT-specific macro definitions                                            *
 *                                                                           *
 * NOTE: Many of these macros work only in the context of pfm_isr_int, and   *
 * assume the existence and correct contents of several variables, notably   *
 * cpuDB and intstk.  They also make use of variables pTI and pTQ, which are *
 * temporary pointers to various integer sizes.                              *
 *                                                                           *
 * Also note that many of these macros use arcane assignments and            *
 * dereferences to get around the fact that some of the structures involved  *
 * do not have their data declared aligned.                                  *
 *****************************************************************************/

//#define THIS_TIME(pquadtime) (KeQueryTickCount)(pquadtime)
//#define GETBDPTR(c) (pCPUDataArray[c->Number])

#define THIS_PS() (DeviceExtension->ktrap_stackf->Psr)
#define THIS_PC() (DeviceExtension->ktrap_stackf->Fir)
#define THIS_PID() (*(long *)((char *)IoGetCurrentProcess()+0x84))
#define THIS_PRIORITY() (*(char *)((char *)IoGetCurrentProcess()+0x4e))

#define THIS_PS_LOW() ((unsigned int)DeviceExtension->ktrap_stackf->Psr)
#define THIS_PC_LOW() ((unsigned int)DeviceExtension->ktrap_stackf->Fir)
#define THIS_IPL() ((DeviceExtension->ktrap_stackf->Psr >> 2) & 0x1f)
#define THIS_MODE() (DeviceExtension->ktrap_stackf->Psr & 0x1)

#define THIS_CPU() ((KPCR *) GetProcessorPCR())
#define THIS_CPU_NUM() ((IPR_CPUNUM) ((KPCR *)GetProcessorPCR())->Number)
#define THIS_PROCBLK() (IoGetCurrentProcess())

#define BARRIER() __MB ()

// prototypes for routines defined in ipr_isr_nt.def.h

extern int mode_number (CPUXX *cdb, uint input_ps);
extern void do_full_action (IPR_SBUFFER *bufptr, IPR_BUFDSC *bD, DEVICE_EXTENSION *DeviceExtension);
extern void full_action_ast (IPR_BUFDSC *BDptr);
extern uint64 THIS_TIME(void);
//extern int THIS_PID(void);
//extern int THIS_PRIORITY(void);
extern void * GETBDPTR(IPR_CPUNUM cpu);

#endif  /* defined (__NT) || defined (NT) */
#endif /* ifndef __IPR_ISR_NT_LOADED */
