#ifndef __IPR_KERNEL_UTIL_LOADED
#define __IPR_KERNEL_UTIL_LOADED
//
//
// Module:	IPR_KERNEL_UTIL.H
//
// Version:	X-1
//
/****************************************************************************/
/*									    */
/*  COPYRIGHT (c) 1995 BY						    */
/*  DIGITAL EQUIPMENT CORPORATION, MAYNARD, MASSACHUSETTS.		    */
/*  ALL RIGHTS RESERVED.						    */
/* 									    */
/*  THIS SOFTWARE IS FURNISHED UNDER A LICENSE AND MAY BE USED AND COPIED   */
/*  ONLY IN  ACCORDANCE WITH  THE  TERMS  OF  SUCH  LICENSE  AND WITH THE   */
/*  INCLUSION OF THE ABOVE COPYRIGHT NOTICE. THIS SOFTWARE OR  ANY  OTHER   */
/*  COPIES THEREOF MAY NOT BE PROVIDED OR OTHERWISE MADE AVAILABLE TO ANY   */
/*  OTHER PERSON.  NO TITLE TO AND OWNERSHIP OF  THE  SOFTWARE IS  HEREBY   */
/*  TRANSFERRED.							    */
/* 									    */
/*  THE INFORMATION IN THIS SOFTWARE IS  SUBJECT TO CHANGE WITHOUT NOTICE   */
/*  AND  SHOULD  NOT  BE  CONSTRUED AS  A COMMITMENT BY DIGITAL EQUIPMENT   */
/*  CORPORATION.							    */
/* 									    */
/*  DIGITAL ASSUMES NO RESPONSIBILITY FOR THE USE  OR  RELIABILITY OF ITS   */
/*  SOFTWARE ON EQUIPMENT WHICH IS NOT SUPPLIED BY DIGITAL.		    */
/* 									    */
/*									    */
/****************************************************************************/
//
//             Patent Pending, Digital Equipment Corporation
//
// Abstract:	This header file contains kernel utility routine definitions.
//
// Author:		Brian F. Wibecan
// Creation Date:	20-Jun-1995
//
// Modified by:
//
// X-1	BFW		Brian F. Wibecan	20-Jun-1995
//	Original version.
//

#include "ipr_base_defs.h"

typedef struct _ipr_chipinfo {
      int majorIdent;
      int minorIdent;
      } IPR_CHIPINFO;

extern IPR_STATUS KIprSetPme(IN unsigned int pid, IN int state,
                             IN IPR_BOOLEAN children,
                             OUT IPR_BOOLEAN *prev_state);
extern IPR_STATUS KIprGetChipInfo(OUT IPR_CHIPINFO *retptr);
#ifdef __VMS
#  include "ipr_kernel_util_vms.h"
#endif
#ifdef __osf__
#  include "ipr_kernel_util_osf1.h"
#endif
#ifdef __NT
#  include "ipr_kernel_util_nt.h"
#endif

#endif // ifndef __IPR_KERNEL_UTIL_LOADED
