#ifndef __API_ROUTINES_NT_LOADED
#define __API_ROUTINES_NT_LOADED 1
#if defined(__NT) || defined (NT)
/*
 * Module:      API_ROUTINES_NT.H
 *
 * Version:     X-2
 */

/****************************************************************************/
/*                                                                          */
/*  COPYRIGHT (c) 1994 BY                                                   */
/*  DIGITAL EQUIPMENT CORPORATION, MAYNARD, MASSACHUSETTS.                  */
/*  ALL RIGHTS RESERVED.                                                    */
/*                                                                          */
/*  THIS SOFTWARE IS FURNISHED UNDER A LICENSE AND MAY BE USED AND COPIED   */
/*  ONLY IN  ACCORDANCE WITH  THE  TERMS  OF  SUCH  LICENSE  AND WITH THE   */
/*  INCLUSION OF THE ABOVE COPYRIGHT NOTICE. THIS SOFTWARE OR  ANY  OTHER   */
/*  COPIES THEREOF MAY NOT BE PROVIDED OR OTHERWISE MADE AVAILABLE TO ANY   */
/*  OTHER PERSON.  NO TITLE TO AND OWNERSHIP OF  THE  SOFTWARE IS  HEREBY   */
/*  TRANSFERRED.                                                            */
/*                                                                          */
/*  THE INFORMATION IN THIS SOFTWARE IS  SUBJECT TO CHANGE WITHOUT NOTICE   */
/*  AND  SHOULD  NOT  BE  CONSTRUED AS  A COMMITMENT BY DIGITAL EQUIPMENT   */
/*  CORPORATION.                                                            */
/*                                                                          */
/*  DIGITAL ASSUMES NO RESPONSIBILITY FOR THE USE  OR  RELIABILITY OF ITS   */
/*  SOFTWARE ON EQUIPMENT WHICH IS NOT SUPPLIED BY DIGITAL.                 */
/*                                                                          */
/*                                                                          */
/****************************************************************************/
//
//             Patent Pending, Digital Equipment Corporation
//

/*
 * Abstract:    This header file contains definitions of the IPROBE API
 *              routines.
 *
 * Author:              Bradley M. Waters
 * Creation Date:       15-Jul-1994
 *
 * Modified by:
 *
 * X-2 BMW              Bradley M. Waters       23-Aug-1994
 *      Changed names from Pfm to Ipr.
 *
 * X-1  BMW             Bradley M. Waters       15-Jul-1994
 *      Original version.
 *
*/

#define CtrEventSetSize         IprEventSetSize
#define CtrMaskEventSet         IprMaskEventSet
#define CtrEventToNumber        IprEventToNumber
#define CtrAvailableEvents      IprAvailableEvents
#define CtrAvailableFuncs       IprAvailableFuncs
#define CtrAvailableFreqs       IprAvailableFreqs
#define CtrAvailableModes       IprAvailableModes
#define CtrClearEventSet        IprClearEventSet
#define CtrRemoveEventSet       IprRemoveEventSet
#define CtrNumberEventsInSet    IprNumberEventsInSet
#define CtrInsertEvent          IprInsertEvent
#define CtrExpandEventSet       IprExpandEventSet
#define CtrMergeEventSet        IprMergeEventSet
#define CtrNumCounters          IprNumCounters
#define CtrDeleteEvent          IprDeleteEvent

#define CtrCloseSampleFile      IprCloseSampleFile
#define CtrOpenSampleFile       IprOpenSampleFile
#define CtrTerminateSampling    IprTerminateSampling
#define CtrSpecifyOperations    IprSpecifyOperations
#define CtrWriteSampleBuffers   IprWriteSampleBuffers
#define CtrReadMultipleHistograms    IprReadMultipleHistograms

#define CtrAvailableCounters    IprAvailableCounters
#define CtrCounterEvents        IprCounterEvents
#define CtrVerifyEventInSet     IprVerifyEventInSet

//#define CtrClearContext         IprClearContext
//#define CtrDeleteBuffers        IprDeleteBuffers
//#define CtrEventCounterMap      IprEventCounterMap
//#define CtrMarkEmptySampleBuffer    IprMarkEmptySampleBuffer
//#define CtrNextFullSampleBuffer     IprNextFullSampleBuffer
//#define CtrReadHistogram        IprReadHistogram
//#define CtrSelectEventsFromArray    IprSelectEventsFromArray
//#define CtrSetEvents            IprSetEvents
//#define CtrSetModes             IprSetModes
//#define CtrStop                 IprStop
//#define CtrWriteOneSampleBuffer     IprWriteOneSampleBuffer

//#define K_IprAllocate           IprAllocate
#define K_IprDeallocate         IprDeallocate
#define K_IprSetSampleSkip      IprSetSampleSkip
#define K_IprCreateSampleBuffers        IprCreateSampleBuffers
#define K_IprAddAddressHistogramBuffers IprAddAddressHistogramBuffers
#define K_IprCreateHistogramBuffers     IprCreateHistogramBuffers
#define K_IprDeleteBuffers      IprDeleteBuffers
#define K_IprSelectEvents       IprSelectEvents
#define K_IprSelectEventsFromArray      IprSelectEventsFromArray
#define K_IprSetEvents          IprSetEvents
#define K_IprSetModes           IprSetModes
#define K_IprEventCounterMap    IprEventCounterMap
#define K_IprFreqCounterMap     IprFreqCounterMap
#define K_IprCounterNumber      IprCounterNumber
#define K_IprStart              IprStart
#define K_IprStop               IprStop
#define K_IprPause              IprPause
#define K_IprResume             IprResume
#define K_IprRead               IprRead
#define K_IprReadAll            IprReadAll
#define K_IprWrite              IprWrite
#define K_IprClear              IprClear
#define K_IprMarkEmptySampleBuffer      IprMarkEmptySampleBuffer
#define K_IprNextFullSampleBuffer       IprNextFullSampleBuffer
#define E_IprWriteToSampleFile  IprWriteToSampleFile
#define E_IprWriteOneSampleBuffer       IprWriteOneSampleBuffer
#define K_IprReadHistogram      IprReadHistogram
#define K_IprClearHistograms    IprClearHistograms
#define K_IprSetPMEBit          IprSetPMEBit
#define K_IprClearPMEBit        IprClearPMEBit
#define K_IprClearContext       IprClearContext
#define K_IprSetActiveCounters  IprSetActiveCounters


//
// Need to define:
//
// IprWriteOneSampleBuffer
//

#endif /* defined (__NT) || defined (NT) */
#endif /* ifndef __API_ROUTINES_NT_LOADED */

