/*
 *
 * Module:	CTRNAMES.H
 *
 * Version:	X-4
 */

/****************************************************************************/
/*									    */
/*  COPYRIGHT (c) 1993, 1994 BY						    */
/*  DIGITAL EQUIPMENT CORPORATION, MAYNARD, MASSACHUSETTS.		    */
/*  ALL RIGHTS RESERVED.						    */
/* 									    */
/*  THIS SOFTWARE IS FURNISHED UNDER A LICENSE AND MAY BE USED AND COPIED   */
/*  ONLY IN  ACCORDANCE WITH  THE  TERMS  OF  SUCH  LICENSE  AND WITH THE   */
/*  INCLUSION OF THE ABOVE COPYRIGHT NOTICE. THIS SOFTWARE OR  ANY  OTHER   */
/*  COPIES THEREOF MAY NOT BE PROVIDED OR OTHERWISE MADE AVAILABLE TO ANY   */
/*  OTHER PERSON.  NO TITLE TO AND OWNERSHIP OF  THE  SOFTWARE IS  HEREBY   */
/*  TRANSFERRED.							    */
/* 									    */
/*  THE INFORMATION IN THIS SOFTWARE IS  SUBJECT TO CHANGE WITHOUT NOTICE   */
/*  AND  SHOULD  NOT  BE  CONSTRUED AS  A COMMITMENT BY DIGITAL EQUIPMENT   */
/*  CORPORATION.							    */
/* 									    */
/*  DIGITAL ASSUMES NO RESPONSIBILITY FOR THE USE  OR  RELIABILITY OF ITS   */
/*  SOFTWARE ON EQUIPMENT WHICH IS NOT SUPPLIED BY DIGITAL.		    */
/* 									    */
/*									    */
/****************************************************************************/
//
//             Patent Pending, Digital Equipment Corporation
//

/*
 * Abstract:	This header file contains function prototypes for the
 * 		performance counter routines.  It is used only by
 *		inclusing into another header file which has defined the
 *		CRECTRNAME macro appropriately.  This allows the function
 *		prototypes to be localized in this file, while still defining
 *		two sets of names.
 *
 * Author:		Brian F. Wibecan
 * Creation Date:	05-Jan-1994
 *
 * Modified by:
 *
 * X-4	BMW1001		Bradley M. Waters	18-Jul-1994
 *	Modified based on kernel rationalization.
 *
 * X-3	BFW1100		Brian F. Wibecan	19-May-1994
 *	Fix type of xxxEventToNumber.
 *
 * X-2	BFW1028		Brian F. Wibecan	16-Feb-1994
 *	Added xxxDeleteEvent.
 *
 * X-1	BFW1005		Brian F. Wibecan	05-Jan-1994
 *	Original version, copied from the original CTRROUTINES.H.
 *
*/
#ifdef CRECTRNAME
extern IPR_SIZE
   CRECTRNAME (EventSetSize) (void);
extern IPR_EVENT
   CRECTRNAME (EventToNumber) (const IPR_EVENTSET *);
extern IPR_COUNT
   CRECTRNAME (NumberEventsInSet) (const IPR_EVENTSET *),
   CRECTRNAME (NumCounters) (void);
extern IPR_BOOLEAN
   CRECTRNAME (VerifyEventInSet) (const IPR_EVENTSET *, const IPR_EVENT);
extern IPR_STATUS
   CRECTRNAME (ClearEventSet) (IPR_EVENTSET *),
   CRECTRNAME (InsertEvent) (IPR_EVENTSET *, const IPR_EVENT),
   CRECTRNAME (DeleteEvent) (IPR_EVENTSET *, const IPR_EVENT),
   CRECTRNAME (MaskEventSet) (IPR_EVENTSET *, const IPR_EVENTSET *),
   CRECTRNAME (RemoveEventSet) (IPR_EVENTSET *, const IPR_EVENTSET *),
   CRECTRNAME (ExpandEventSet) (const IPR_EVENTSET *, IPR_EVENT *, IPR_SIZE),
   CRECTRNAME (MergeEventSet) (IPR_EVENTSET *, const IPR_EVENTSET *),
   CRECTRNAME (AvailableEvents) (const IPR_EVENTSET *, IPR_EVENTSET *),
   CRECTRNAME (AvailableFreqs) (const IPR_EVENT, IPR_FREQ *),
   CRECTRNAME (AvailableModes) (IPR_MMASK *),
   CRECTRNAME (AvailableFuncs) (IPR_FMASK *),
   CRECTRNAME (CounterEvents) (IPR_CTRNUMBER, IPR_EVENTSET *),
   CRECTRNAME (AvailableCounters) (IPR_EVENT, IPR_CTRMASK *);
#endif // ifdef CRECTRNAME
