#ifndef __IPR_API_BASE_DEFS_LOADED
#define __IPR_API_BASE_DEFS_LOADED 1
//
//
// Module:	IPR_API_BASE_DEFS.H
//
// Version:	X-1
//
/****************************************************************************/
/*									    */
/*  COPYRIGHT (c) 1994 BY						    */
/*  DIGITAL EQUIPMENT CORPORATION, MAYNARD, MASSACHUSETTS.		    */
/*  ALL RIGHTS RESERVED.						    */
/* 									    */
/*  THIS SOFTWARE IS FURNISHED UNDER A LICENSE AND MAY BE USED AND COPIED   */
/*  ONLY IN  ACCORDANCE WITH  THE  TERMS  OF  SUCH  LICENSE  AND WITH THE   */
/*  INCLUSION OF THE ABOVE COPYRIGHT NOTICE. THIS SOFTWARE OR  ANY  OTHER   */
/*  COPIES THEREOF MAY NOT BE PROVIDED OR OTHERWISE MADE AVAILABLE TO ANY   */
/*  OTHER PERSON.  NO TITLE TO AND OWNERSHIP OF  THE  SOFTWARE IS  HEREBY   */
/*  TRANSFERRED.							    */
/* 									    */
/*  THE INFORMATION IN THIS SOFTWARE IS  SUBJECT TO CHANGE WITHOUT NOTICE   */
/*  AND  SHOULD  NOT  BE  CONSTRUED AS  A COMMITMENT BY DIGITAL EQUIPMENT   */
/*  CORPORATION.							    */
/* 									    */
/*  DIGITAL ASSUMES NO RESPONSIBILITY FOR THE USE  OR  RELIABILITY OF ITS   */
/*  SOFTWARE ON EQUIPMENT WHICH IS NOT SUPPLIED BY DIGITAL.		    */
/* 									    */
/*									    */
/****************************************************************************/
//
//             Patent Pending, Digital Equipment Corporation
//
//
// Abstract:	This header file contains some specific definitions used
// 		by performance counter support code in C.
//
// Author:		Brian F. Wibecan
// Creation Date:	26-Oct-1994
//
// Modified by:
//
// X-1	BFW		Brian F. Wibecan	26-Oct-1994
//	Original version, created from CTRDEF.H and others.
//
#include "ipr_base_defs.h"
#include "ipr_api_masks.h"

typedef uint64 IPR_HISTELEM;
typedef uint64 IPR_HISTVALUE;
typedef void *IPR_FILEHANDLE;

struct _ipr_sbuffer;
typedef struct _ipr_sbuffer IPR_SBUFFER;
struct _ipr_hbuffer;
typedef struct _ipr_hbuffer IPR_HBUFFER;

typedef enum
{
   IPR_FULL_NONE,
   IPR_FULL_WAKE,
   IPR_FULL_AST,
   IPR_FULL_WRITE
} IPR_FULL_ACTION;

#ifdef __VMS
#  include "ipr_api_base_defs_vms.h"
#endif
#ifdef __osf__
#  include "ipr_api_base_defs_osf1.h"
#endif
#if defined(__NT) || defined(WIN32)
#  include "ipr_api_base_defs_nt.h"
#endif

#endif // ifndef __IPR_API_BASE_DEFS_LOADED
