#ifndef __IPR_API_BASE_DEFS_OSF1_LOADED
#define __IPR_API_BASE_DEFS_OSF1_LOADED
#ifdef __osf__ 
//
//
// Module:	IPR_API_BASE_DEFS_OSF1.H
//
// Version:	X-1
//
/****************************************************************************/
/*									    */
/*  COPYRIGHT (c) 1995 BY						    */
/*  DIGITAL EQUIPMENT CORPORATION, MAYNARD, MASSACHUSETTS.		    */
/*  ALL RIGHTS RESERVED.						    */
/* 									    */
/*  THIS SOFTWARE IS FURNISHED UNDER A LICENSE AND MAY BE USED AND COPIED   */
/*  ONLY IN  ACCORDANCE WITH  THE  TERMS  OF  SUCH  LICENSE  AND WITH THE   */
/*  INCLUSION OF THE ABOVE COPYRIGHT NOTICE. THIS SOFTWARE OR  ANY  OTHER   */
/*  COPIES THEREOF MAY NOT BE PROVIDED OR OTHERWISE MADE AVAILABLE TO ANY   */
/*  OTHER PERSON.  NO TITLE TO AND OWNERSHIP OF  THE  SOFTWARE IS  HEREBY   */
/*  TRANSFERRED.							    */
/* 									    */
/*  THE INFORMATION IN THIS SOFTWARE IS  SUBJECT TO CHANGE WITHOUT NOTICE   */
/*  AND  SHOULD  NOT  BE  CONSTRUED AS  A COMMITMENT BY DIGITAL EQUIPMENT   */
/*  CORPORATION.							    */
/* 									    */
/*  DIGITAL ASSUMES NO RESPONSIBILITY FOR THE USE  OR  RELIABILITY OF ITS   */
/*  SOFTWARE ON EQUIPMENT WHICH IS NOT SUPPLIED BY DIGITAL.		    */
/* 									    */
/*									    */
/****************************************************************************/
//
//             Patent Pending, Digital Equipment Corporation
//
// Abstract:	This header file contains basic API definitions specific to
//		Unix.
//
// Author:		Brian F. Wibecan
// Creation Date:	20-Jun-1995
//
// Modified by:
//
// X-1	BFW		Brian F. Wibecan	20-Jun-1995
//	Original version.
//

#define IPR_IPL_COUNT 7
#define IPR_PRIORITY_COUNT 64


#define IPR_MODE_KERNEL 0
#define IPR_MODE_EXEC 
#define IPR_MODE_SUPER 
#define IPR_MODE_USER 1
#define IPR_MODE_INTERRUPT 
#define IPR_MODE_IDLE 2
#define IPR_MODE_COUNT 3

// system info structure

#define SIZE 32

typedef struct _iprconf{
  char sysname[SIZE];		/* The name of the system */
  char Osname[SIZE];		/* The name of the OS in use */
  char Osrelease[SIZE];		/* The relase of the OS in use */
  char Osver[SIZE]; 		/* The version of the OS release */
  char hardware_name[SIZE];    	/* The name of the hardware being used */
  int cpu_maj;	  		/* The major type of the CPU */
  int cpu_min;			/* The minor type of the CPU */
  int active_cpu_count;		/* The number of currently active cpus */
  int num_cpus;			/* The number of cpus on the sytem */
  int page_sz;		/* The page size of memory */
  int cur_phys_mem;		/* The size of the phy memory installed on 
				   the system */
  uint64 sys_type;		/* The type of the system */
  uint64 clockspeed;		/* The Clock speed in ticks per sec */
} IPR_CPU_CONF;

#endif // ifdef __osf__ 
#endif // ifndef __IPR_API_BASE_DEFS_OSF1_LOADED
