#ifdef __NT
#ifndef __IPR_DRIVER_NT_LOADED
#define __IPR_DRIVER_NT_LOADED 1
/*
 * Module:      IPR_DRIVER_NT.H
 *
 * Version:     X-2
 */

/****************************************************************************/
/*                                                                          */
/*  COPYRIGHT (c) 1994 BY                                                   */
/*  DIGITAL EQUIPMENT CORPORATION, MAYNARD, MASSACHUSETTS.                  */
/*  ALL RIGHTS RESERVED.                                                    */
/*                                                                          */
/*  THIS SOFTWARE IS FURNISHED UNDER A LICENSE AND MAY BE USED AND COPIED   */
/*  ONLY IN  ACCORDANCE WITH  THE  TERMS  OF  SUCH  LICENSE  AND WITH THE   */
/*  INCLUSION OF THE ABOVE COPYRIGHT NOTICE. THIS SOFTWARE OR  ANY  OTHER   */
/*  COPIES THEREOF MAY NOT BE PROVIDED OR OTHERWISE MADE AVAILABLE TO ANY   */
/*  OTHER PERSON.  NO TITLE TO AND OWNERSHIP OF  THE  SOFTWARE IS  HEREBY   */
/*  TRANSFERRED.                                                            */
/*                                                                          */
/*  THE INFORMATION IN THIS SOFTWARE IS  SUBJECT TO CHANGE WITHOUT NOTICE   */
/*  AND  SHOULD  NOT  BE  CONSTRUED AS  A COMMITMENT BY DIGITAL EQUIPMENT   */
/*  CORPORATION.                                                            */
/*                                                                          */
/*  DIGITAL ASSUMES NO RESPONSIBILITY FOR THE USE  OR  RELIABILITY OF ITS   */
/*  SOFTWARE ON EQUIPMENT WHICH IS NOT SUPPLIED BY DIGITAL.                 */
/*                                                                          */
/*                                                                          */
/****************************************************************************/
//
//             Patent Pending, Digital Equipment Corporation
//

/*
 * Abstract:    This header file contains definitions for the IPROBE API
 *              kernel.
 *
 * Author:              Bradley M. Waters
 * Creation Date:       21-Jul-1994
 *
 * Modified by:
 *
 * X-3  BMW             Bradley M. Waters       25-Oct-1994
 *      Updated IPR_WrtList structure.
 *
 * X-2  BMW             Bradley M. Waters        1-Sep-1994
 *      Removed DEVICE_EXTENSION here, added IPROBE API specific info.
 *      to the device extension defined in PERFEV4.H.
 *
 * X-1  BMW             Bradley M. Waters       21-Jul-1994
 *      Original version.
 *
*/

#include "dda21064.h"

#define DD_IPROBE_API_DEVICE_NAME    "\\Device\\IprKernel"
#define DD_IPROBE_API_DEVICE_NAME_U L"\\Device\\IprKernel"
//#define DD_IPROBE_API_DEVICE_NAME L"\\WINNT\\system32\\drivers\\IprKrnl"


#define FILE_DEVICE_IPRKERNEL  (21064+3000)
//#define FILE_DEVICE_IPRKERNEL  (21064+20000)
//#define FILE_DEVICE_AXP21064  (21064+20000)
//#define IOCTL_DISK_BASE                 FILE_DEVICE_DISK

//
// NtDeviceIoControlFile IoControlCode values for this device.
//
// Warning:  Remember that the low two bits of the code specify how the
//           buffers are passed to the driver!
//

#define IOCTL_IPR_GetChipInfo \
        CTL_CODE(FILE_DEVICE_IPRKERNEL, 0, METHOD_BUFFERED, FILE_ANY_ACCESS)
#define IOCTL_IPR_UpdatePerfmon \
        CTL_CODE(FILE_DEVICE_IPRKERNEL, 1, METHOD_BUFFERED, FILE_ANY_ACCESS)
#define IOCTL_IPR_GetCurrentIpid \
        CTL_CODE(FILE_DEVICE_IPRKERNEL, 2, METHOD_BUFFERED, FILE_ANY_ACCESS)
#define IOCTL_IPR_SetAffinity \
        CTL_CODE(FILE_DEVICE_IPRKERNEL, 3, METHOD_BUFFERED, FILE_ANY_ACCESS)
#define IOCTL_IPR_SetPme \
        CTL_CODE(FILE_DEVICE_IPRKERNEL, 4, METHOD_BUFFERED, FILE_ANY_ACCESS)
#define IOCTL_IPR_ResetIpl \
        CTL_CODE(FILE_DEVICE_IPRKERNEL, 5, METHOD_BUFFERED, FILE_ANY_ACCESS)
#define IOCTL_IPR_InitSysInfo \
        CTL_CODE(FILE_DEVICE_IPRKERNEL, 6, METHOD_BUFFERED, FILE_ANY_ACCESS)
#define IOCTL_IPR_DoneSysInfo \
        CTL_CODE(FILE_DEVICE_IPRKERNEL, 7, METHOD_BUFFERED, FILE_ANY_ACCESS)
#define IOCTL_IPR_OpenSampFile \
        CTL_CODE(FILE_DEVICE_IPRKERNEL, 8, METHOD_BUFFERED, FILE_ANY_ACCESS)
#define IOCTL_IPR_CloseSampFile \
        CTL_CODE(FILE_DEVICE_IPRKERNEL, 9, METHOD_BUFFERED, FILE_ANY_ACCESS)
#define IOCTL_IPR_WriteFile \
        CTL_CODE(FILE_DEVICE_IPRKERNEL,10, METHOD_BUFFERED, FILE_ANY_ACCESS)

#define IOCTL_IPR_BdCreate \
        CTL_CODE(FILE_DEVICE_IPRKERNEL,20, METHOD_BUFFERED, FILE_ANY_ACCESS)
#define IOCTL_IPR_BdDelete \
        CTL_CODE(FILE_DEVICE_IPRKERNEL,21, METHOD_BUFFERED, FILE_ANY_ACCESS)
#define IOCTL_IPR_BdSetNumCounters \
        CTL_CODE(FILE_DEVICE_IPRKERNEL,22, METHOD_BUFFERED, FILE_ANY_ACCESS)
#define IOCTL_IPR_BdSetAction \
        CTL_CODE(FILE_DEVICE_IPRKERNEL,23, METHOD_BUFFERED, FILE_ANY_ACCESS)
#define IOCTL_IPR_BdSetActiveCounters \
        CTL_CODE(FILE_DEVICE_IPRKERNEL,24, METHOD_BUFFERED, FILE_ANY_ACCESS)
#define IOCTL_IPR_BdAddPcRange \
        CTL_CODE(FILE_DEVICE_IPRKERNEL,25, METHOD_BUFFERED, FILE_ANY_ACCESS)
#define IOCTL_IPR_BdSetSkipCount \
        CTL_CODE(FILE_DEVICE_IPRKERNEL,26, METHOD_BUFFERED, FILE_ANY_ACCESS)

#define IOCTL_IPR_SbCreate \
        CTL_CODE(FILE_DEVICE_IPRKERNEL,40, METHOD_BUFFERED, FILE_ANY_ACCESS)
#define IOCTL_IPR_SbDelete \
        CTL_CODE(FILE_DEVICE_IPRKERNEL,41, METHOD_BUFFERED, FILE_ANY_ACCESS)
#define IOCTL_IPR_SbSetFull \
        CTL_CODE(FILE_DEVICE_IPRKERNEL,42, METHOD_BUFFERED, FILE_ANY_ACCESS)
#define IOCTL_IPR_SbGetInfo \
        CTL_CODE(FILE_DEVICE_IPRKERNEL,43, METHOD_BUFFERED, FILE_ANY_ACCESS)
#define IOCTL_IPR_SbFind \
        CTL_CODE(FILE_DEVICE_IPRKERNEL,44, METHOD_BUFFERED, FILE_ANY_ACCESS)

#define IOCTL_IPR_HbElements \
        CTL_CODE(FILE_DEVICE_IPRKERNEL,60, METHOD_BUFFERED, FILE_ANY_ACCESS)
#define IOCTL_IPR_HbIndex \
        CTL_CODE(FILE_DEVICE_IPRKERNEL,61, METHOD_BUFFERED, FILE_ANY_ACCESS)
#define IOCTL_IPR_HbValue \
        CTL_CODE(FILE_DEVICE_IPRKERNEL,62, METHOD_BUFFERED, FILE_ANY_ACCESS)
#define IOCTL_IPR_HbMaxElements \
        CTL_CODE(FILE_DEVICE_IPRKERNEL,63, METHOD_BUFFERED, FILE_ANY_ACCESS)
#define IOCTL_IPR_HbCreate \
        CTL_CODE(FILE_DEVICE_IPRKERNEL,64, METHOD_BUFFERED, FILE_ANY_ACCESS)
#define IOCTL_IPR_HbDelete \
        CTL_CODE(FILE_DEVICE_IPRKERNEL,65, METHOD_BUFFERED, FILE_ANY_ACCESS)
#define IOCTL_IPR_HbFind \
        CTL_CODE(FILE_DEVICE_IPRKERNEL,66, METHOD_BUFFERED, FILE_ANY_ACCESS)
#define IOCTL_IPR_HbRead \
        CTL_CODE(FILE_DEVICE_IPRKERNEL,67, METHOD_BUFFERED, FILE_ANY_ACCESS)
#define IOCTL_IPR_HbClear \
        CTL_CODE(FILE_DEVICE_IPRKERNEL,68, METHOD_BUFFERED, FILE_ANY_ACCESS)
#define IOCTL_IPR_CurrentCPU \
	CTL_CODE(FILE_DEVICE_IPRKERNEL,69, METHOD_BUFFERED, FILE_ANY_ACCESS)

typedef struct _IPR_ARGUPerfmon {
   IPR_CPUNUM cpu;
   IPR_COUNT numctrsupd;
   IPR_COUNTER_BLOCK *counterblock;
} IPR_ARGUPerfmon;

typedef struct _IPR_ARGAffinity {
   IPR_CPUNUM cpu;
   IPR_BOOLEAN setting;
} IPR_ARGAffinity;

typedef struct _IPR_ARGPme {
   unsigned int pid;
   int state;
   IPR_BOOLEAN children;
   IPR_BOOLEAN *prev_state;
} IPR_ARGPme;

typedef struct _IPR_ARGOpenSamp {
   UNICODE_STRING *fname;
   UNICODE_STRING *defname;
} IPR_ARGOpenSamp;

typedef struct _IPR_ARGCloseSamp {
   int *buffwrites;
   int *partwrites;
} IPR_ARGCloseSamp;

typedef struct _IPR_ARGWriteSamp {
   void *bptr;
   IPR_SIZE bsize;
} IPR_ARGWriteSamp;

typedef struct _IPR_ARGBDCreate {
   IPR_CPUNUM cpu;
   IPR_BUFDSC **retptr;
} IPR_ARGBDCreate;

typedef struct _IPR_ARGBDNumctrs {
   IPR_CPUNUM cpu;
   IPR_COUNT numctrs ;
} IPR_ARGBDNumctrs;

typedef struct _IPR_ARGBDAction {
   IPR_CPUNUM cpu;
   int action_type;
   int action;
   int (*targetroutine) ();
   unsigned int targetpid;
} IPR_ARGBDAction;

typedef struct _IPR_ARGBDActctrs {
   IPR_CPUNUM cpu;
   IPR_CTRMASK ctrmask ;
} IPR_ARGBDActctrs;

typedef struct _IPR_ARGBDPcrng {
   IPR_CPUNUM cpu;
   IPR_PC_RANGE *pcrange;
} IPR_ARGBDPcrng;

typedef struct _IPR_ARGBDSkip {
   IPR_CPUNUM cpu;
   IPR_CTRNUMBER ctr;
   int skipvalue;
} IPR_ARGBDSkip;

typedef struct _IPR_ARGSBCreate {
   IPR_CPUNUM cpu;
   IPR_SIZE size;
   unsigned int numbuffs;
   IPR_SDESC *descrip;
   IPR_SBUFFER **retptr;
} IPR_ARGSBCreate;

typedef struct _IPR_ARGSBDelete {
   IPR_CPUNUM cpu;
   IPR_SBUFFER *bufptr;
} IPR_ARGSBDelete;

typedef struct _IPR_ARGSBSetFull {
   IPR_SBUFFER *bufptr;
   IPR_BOOLEAN full_val;
} IPR_ARGSBSetFull;

typedef struct _IPR_ARGSBGetInfo {
   IPR_SBUFFER *bufptr;
   IPR_SDESC *descrip;
} IPR_ARGSBGetInfo;

typedef struct _IPR_ARGSBFind {
   IPR_CPUNUM cpu;
   IPR_SDESC *descrip;
   IPR_SBUFFER *previous_buffer;
   IPR_SBUFFER **retptr;
} IPR_ARGSBFind;

typedef struct _IPR_ARGHBElements {
   IPR_COUNT numctrs;
   IPR_COUNT numval;
   int gran;
   int *numelem;
} IPR_ARGHBElements;

typedef struct _IPR_ARGHBMaxElem {
   IPR_COUNT *elem;
} IPR_ARGHBMaxElem;

typedef struct _IPR_ARGHBCreate {
   IPR_CPUNUM cpu;
   IPR_HDESC *descrip;
   IPR_HBUFFER **retptr;
} IPR_ARGHBCreate;

typedef struct _IPR_ARGHBDelete {
   IPR_CPUNUM cpu;
   IPR_HBUFFER *bufptr;
} IPR_ARGHBDelete;

typedef struct _IPR_ARGHBFind {
   IPR_CPUNUM cpu;
   IPR_HBUFFER *previous_buffer;
   IPR_HDESC *descrip;
   IPR_HBUFFER **retptr;
   int *full;
} IPR_ARGHBFind;

typedef struct _IPR_ARGHBIndex {
   int64 value;
   IPR_CTRNUMBER ctr;
   IPR_COUNT numctrs;
   IPR_HISTVALUE minval;
   int gran;
   int *index;
} IPR_ARGHBIndex;

typedef struct _IPR_ARGHBValue {
   int index;
   IPR_COUNT numctrs;
   IPR_HISTVALUE minval;
   int gran;
   IPR_HISTELEM *value;
} IPR_ARGHBValue;

typedef struct _IPR_ARGHBRead {
   IPR_CPUNUM cpu;
   IPR_HBUFFER *bufptr;
   int start;
   IPR_COUNT cnt;
   IPR_HISTELEM *retptr;
} IPR_ARGHBRead;

typedef struct _IPR_ARGHBClear {
   IPR_CPUNUM cpu;
   IPR_HBUFFER *bufptr;
   int start;
   IPR_COUNT cnt;
} IPR_ARGHBClear;

typedef struct _IPR_ARGCurrentCPU {
   IPR_CPUNUM *cpu;
} IPR_ARGCurrentCPU;

typedef struct _IPR_WrtStruct {
    struct _ipr_bufhdr header;
    KSPIN_LOCK wrtQ_SpinLock;   // spinlock queue
    LIST_ENTRY wrtQ;            // queue of buffers to write
    KEVENT wrtEvent;            // write event
    KEVENT wrtdEvent;           // done write thread event
    KEVENT wrtoEvent;           // done open event
    LONG wrtState;              // last checked state of the write event
    LONG wrtdState;             // last checked state of the done write thread event
    LONG wrtoState;             // last checked state of the done open event
    int buffwrites;             //
    int partwrites;
    IPR_BOOLEAN wrtActive;      // flag determining whether write thread
                                // should exit
} IPR_WrtStruct;

// Define operation codes for opening and closing sample file,
// these are passed in bufptr.
#define IPR_OPENWRITE 1
#define IPR_CLOSEWRITE 2
/*
typedef struct _IPR_WrtList {
   LIST_ENTRY list_ptrs;
   IPR_SBUFFER *bufptr;
   IPR_SIZE bsize;
   IPR_BOOLEAN sampBuff;
   IPR_BOOLEAN delBuff;         // flag indicating whether write thread should delete
                                // buffer after write
   IPR_BOOLEAN delEntry;        // flag indicating whether write thread should delete
                                // queue entry after write
} IPR_WrtList;
*/
// Define info. for loop that waits for write and close operations
// to complete prior to deleting sample buffers

#define IPR_TimeLoopLim (1000)          // Max. of 100 loops
#define IPR_LoopsPerSec (10)            // 1/10 sec per loop (10 loops per sec)
#define IPR_TimeUnitSecs (10000000)     // 10,000,000 100nsec units per sec.

// A block of samples to be written by the DPC are contained
// in a queue defined in the device extension.  There are
// IPR_DPC_BLOCKS samples of IPR_DpcBlock type.

#define IPR_DPC_BLOCKS (100)
#define IPR_DPC_FREQ (IPR_DPC_BLOCKS / 10)

typedef struct _IPR_DpcBlock {
    LIST_ENTRY list_ptrs;
    IPR_CPUNUM cpu;
    IPR_BUFDSC *BufDscPtr;
    int64 time;
    int64 ps;
    uint64 pc;
    int64 counter;
    int64 pid;
    int64 priority;
    int64 ipl;
    int64 mode;
} IPR_DpcBlock;

#endif
#endif
