#ifndef __IPR_HISTOGRAM_LOADED
#define __IPR_HISTOGRAM_LOADED
//
//
// Module:	IPR_HISTOGRAM.H
//
// Version:	X-1
//
/****************************************************************************/
/*									    */
/*  COPYRIGHT (c) 1995 BY						    */
/*  DIGITAL EQUIPMENT CORPORATION, MAYNARD, MASSACHUSETTS.		    */
/*  ALL RIGHTS RESERVED.						    */
/* 									    */
/*  THIS SOFTWARE IS FURNISHED UNDER A LICENSE AND MAY BE USED AND COPIED   */
/*  ONLY IN  ACCORDANCE WITH  THE  TERMS  OF  SUCH  LICENSE  AND WITH THE   */
/*  INCLUSION OF THE ABOVE COPYRIGHT NOTICE. THIS SOFTWARE OR  ANY  OTHER   */
/*  COPIES THEREOF MAY NOT BE PROVIDED OR OTHERWISE MADE AVAILABLE TO ANY   */
/*  OTHER PERSON.  NO TITLE TO AND OWNERSHIP OF  THE  SOFTWARE IS  HEREBY   */
/*  TRANSFERRED.							    */
/* 									    */
/*  THE INFORMATION IN THIS SOFTWARE IS  SUBJECT TO CHANGE WITHOUT NOTICE   */
/*  AND  SHOULD  NOT  BE  CONSTRUED AS  A COMMITMENT BY DIGITAL EQUIPMENT   */
/*  CORPORATION.							    */
/* 									    */
/*  DIGITAL ASSUMES NO RESPONSIBILITY FOR THE USE  OR  RELIABILITY OF ITS   */
/*  SOFTWARE ON EQUIPMENT WHICH IS NOT SUPPLIED BY DIGITAL.		    */
/* 									    */
/*									    */
/****************************************************************************/
//
//             Patent Pending, Digital Equipment Corporation
//
// Abstract:	This header file contains shared histogram function
//		definitions for various IPROBE modules.
//
// Author:		Brian F. Wibecan
// Creation Date:	20-Jun-1995
//
// Modified by:
//
// X-1	BFW		Brian F. Wibecan	20-Jun-1995
//	Original version.
//

extern uint64 compute_histogram_elements(struct pc_ranges *p);

IPR_STATUS do_histogram (IPR_HMASK hist_type,  /* histogram type */
    IPR_EVENT *selected_evts,     /* array of evts to measure */
    IPR_FREQ *selected_freqs,     /* freqs to measure at */
    IPR_COUNT selection_count,    /* size of the prev 2 arrays */
    IPR_MMASK modes2use,     /* prog modes to measure in */
    IPR_COUNT start_time,     /* # secs till start of meas */
    IPR_COUNT end_time,       /* # secs to measure */
    IPR_COUNT interval,       /* Output interval */
    unsigned range_count,   /*  Number of pc ranges */
    struct pc_ranges *pc_range,/*  Pointer to the addr range list */
    int histogram_count  );

#endif // ifndef __IPR_HISTOGRAM_LOADED
