#ifndef __IPR_INT_NT_LOADED
#define __IPR_INT_NT_LOADED 1
#ifdef __NT
//
//
// Module:	IPR_INT_NT.H
//
// Version:	X-1
//
/****************************************************************************/
/*									    */
/*  COPYRIGHT (c) 1995 BY						    */
/*  DIGITAL EQUIPMENT CORPORATION, MAYNARD, MASSACHUSETTS.		    */
/*  ALL RIGHTS RESERVED.						    */
/* 									    */
/*  THIS SOFTWARE IS FURNISHED UNDER A LICENSE AND MAY BE USED AND COPIED   */
/*  ONLY IN  ACCORDANCE WITH  THE  TERMS  OF  SUCH  LICENSE  AND WITH THE   */
/*  INCLUSION OF THE ABOVE COPYRIGHT NOTICE. THIS SOFTWARE OR  ANY  OTHER   */
/*  COPIES THEREOF MAY NOT BE PROVIDED OR OTHERWISE MADE AVAILABLE TO ANY   */
/*  OTHER PERSON.  NO TITLE TO AND OWNERSHIP OF  THE  SOFTWARE IS  HEREBY   */
/*  TRANSFERRED.							    */
/* 									    */
/*  THE INFORMATION IN THIS SOFTWARE IS  SUBJECT TO CHANGE WITHOUT NOTICE   */
/*  AND  SHOULD  NOT  BE  CONSTRUED AS  A COMMITMENT BY DIGITAL EQUIPMENT   */
/*  CORPORATION.							    */
/* 									    */
/*  DIGITAL ASSUMES NO RESPONSIBILITY FOR THE USE  OR  RELIABILITY OF ITS   */
/*  SOFTWARE ON EQUIPMENT WHICH IS NOT SUPPLIED BY DIGITAL.		    */
/* 									    */
/*									    */
/****************************************************************************/
//
//             Patent Pending, Digital Equipment Corporation
//
// Abstract:	This header file contains definitions for use with the NT
//		counter control kernel interface.
//
// Author:		Brian F. Wibecan
// Creation Date:	20-Jun-1995
//
// Modified by:
//
// X-1	BFW		Brian F. Wibecan	20-Jun-1995
//	Original version.
//

//#include "dda21064.h"
#include "nta21064.h"
#include "ctr_int_defs.h"

typedef enum
{
    IPR_OPEN = 1,
    IPR_CLOSE,
    IPR_ENABLE,
    IPR_DISABLE,
    IPR_SETFREQ,
    IPR_SETEVENT,
    IPR_READCOUNT,
    IPR_READPAL,
    IPR_SETCOUNT,
    IPR_RESETCOUNT,
    IPR_SETMODE,
    IPR_SETFROMCODE
} IPR_ACTION;

typedef struct _ipr_counter_block {
       IPR_CTRNUMBER ctr;
       IPR_CHIPINFO chip;
       IPR_ACTION action;
       IPR_FREQ freq;
       IPR_EVENT event;
       int64 value;
       IPR_STATUS status;
} IPR_COUNTER_BLOCK;

#define IPR_MAX_COUNTERS 3

#define OK_STATUS(status)  (((int) status) >= 0)

// Temporarily I'll define the current cpu to 0, I'll update this later - BMW
#define FIND_CURRENT_CPU() (0)

extern void GetNewSystemData(OUT IPR_SYSTEM_DATA *newsysdata);
extern IPR_STATUS GetProcId(OUT unsigned int *Ipid);
extern IPR_STATUS SetAffin(IN IPR_CPUNUM cpu, IN IPR_BOOLEAN setting);

extern IPR_STATUS OpenCounters(void);

#define MAX_EVT_CODE 0xf
extern int gui_event[IPR_MAX_COUNTERS][MAX_EVT_CODE];

/*
// currently implemented in PERFEV4 driver
extern IPR_STATUS
OpenMpAxp21064Counter(
    ULONG ProcessorNumber,
    AXP21064_PCCOUNTER Counter,
    HANDLE *FileHandle
    );

extern IPR_STATUS
CloseAxp21064Counter(
    HANDLE FileHandle
    );

extern IPR_STATUS
ReadAxp21064Counter(
    HANDLE FileHandle,
    AXPCOUNTER *CounterValue
    );

extern IPR_STATUS
ReadAxp21064PalCounters(
    HANDLE FileHandle,
    AXP21064_RDPALCOUNTERS *PalCounters
    );

extern IPR_STATUS
SetAxp21064CounterValue(
    HANDLE FileHandle,
    AXPCOUNTER CounterValue
    );

extern IPR_STATUS
ResetAxp21064CounterValue(
    HANDLE FileHandle
    );

extern IPR_STATUS
StartAxp21064Counter(
    HANDLE FileHandle
    );

extern IPR_STATUS
StopAxp21064Counter(
    HANDLE FileHandle
    );

extern IPR_STATUS
MuxControlAxp21064Counter(
    HANDLE FileHandle,
    AXP21064_PCMUXCONTROL MuxControl
    );

extern IPR_STATUS
EventCountAxp21064Counter(
    HANDLE FileHandle,
    AXP21064_PCEVENTCOUNT EventCount
    );
*/

extern IPR_STATUS OpenIprApiKernel(OUT HANDLE *fHandle);
extern IPR_STATUS CloseIprApiKernel(IN HANDLE fHandle);
extern IPR_STATUS KIprInitSysInfo(IN IPR_SYSTEM_DATA *newsysdata);
extern IPR_STATUS KIprDoneSysInfo(void);
extern IPR_STATUS GetChipData(void *chipinfo);
extern IPR_STATUS InitSysInfo(void);
extern IPR_STATUS DoneSysInfo(void);

extern IPR_STATUS KIprOpenSampFile(IN UNICODE_STRING *fname, IN UNICODE_STRING *defname);
extern IPR_STATUS KIprCloseSampFile(OUT int *buffwrites, OUT int *partwrites);
extern IPR_STATUS KIprWriteFile(IN void *bptr, IN IPR_SIZE bsize);

extern IPR_STATUS KIprCurrentCPU (OUT IPR_CPUNUM *cpu);

#endif // ifdef __NT
#endif // ifndef __IPR_INT_NT_LOADED

