#ifndef __IPR_KERNEL_INT_OSF_LOADED
#define __IPR_KERNEL_INT_OSF_LOADED 1
#ifdef OSF
//++
// Module:	IPR_KERNEL_INT_OSF.H
//
// Version:	X-1
//--

/****************************************************************************/
/*									    */
/*  COPYRIGHT (c) 1994 BY						    */
/*  DIGITAL EQUIPMENT CORPORATION, MAYNARD, MASSACHUSETTS.		    */
/*  ALL RIGHTS RESERVED.						    */
/* 									    */
/*  THIS SOFTWARE IS FURNISHED UNDER A LICENSE AND MAY BE USED AND COPIED   */
/*  ONLY IN  ACCORDANCE WITH  THE  TERMS  OF  SUCH  LICENSE  AND WITH THE   */
/*  INCLUSION OF THE ABOVE COPYRIGHT NOTICE. THIS SOFTWARE OR  ANY  OTHER   */
/*  COPIES THEREOF MAY NOT BE PROVIDED OR OTHERWISE MADE AVAILABLE TO ANY   */
/*  OTHER PERSON.  NO TITLE TO AND OWNERSHIP OF  THE  SOFTWARE IS  HEREBY   */
/*  TRANSFERRED.							    */
/* 									    */
/*  THE INFORMATION IN THIS SOFTWARE IS  SUBJECT TO CHANGE WITHOUT NOTICE   */
/*  AND  SHOULD  NOT  BE  CONSTRUED AS  A COMMITMENT BY DIGITAL EQUIPMENT   */
/*  CORPORATION.							    */
/* 									    */
/*  DIGITAL ASSUMES NO RESPONSIBILITY FOR THE USE  OR  RELIABILITY OF ITS   */
/*  SOFTWARE ON EQUIPMENT WHICH IS NOT SUPPLIED BY DIGITAL.		    */
/* 									    */
/*									    */
/****************************************************************************/
//
//             Patent Pending, Digital Equipment Corporation
//

/*
// Abstract:	This header file contains definitions for the IPROBE API
//		kernel.
//
// Author:		Brian F. Wibecan
// Creation Date:	28-Oct-1994
//
// Modified by:
//
// X-2 AJD2017		Anil J.D'silva		11-Nov-1994
//	Modified the VMs version for OSF
//
// X-1	BFW		Brian F. Wibecan	28-Oct-1994
//	Original version.
*/

#include "ipr_kernel_ext_defs.h"


//#define AFFINITY_CPU_MASK cp_mask
//#define NOAFFINITY_CPU_MASK cp_mask

extern IPR_CPUMASK cpmask;
//extern IPR_CPUMASK
//  AFFINITY_CPU_MASK,
//  NOAFFINITY_CPU_MASK;

typedef struct _ipr_context {
    IPR_BUFDSC *BufDscPtr;
    uint64 pc;
    uint64 ps;
    uint64 rpcvalue;
    uint64 sp;
    uint64 priority;
    uint64 time;
    struct _IPR_CONTEXT *next;
    int pid;
    int Ipl;
    int cpu_no;
    int counter_no;
    int missed_cnt;
    int mode
} IPR_CONTEXT;

typedef struct _ipr_stop_info {
    uint64 arg1;
    uint64 arg2
} IPR_STOPINFO;

#define IPR_ALLOCATION_GRANULARITY 64
// Temporary redefinition
#define ALLOCATION_GRANULARITY IPR_ALLOCATION_GRANULARITY
#define IPR_SAMPBUF_GRAN 512
#define ROUND_SAMPLEBUFFER(b) round_value_up ((b), IPR_SAMPBUF_GRAN)
#define IPR_MAX_BUFFER_SIZE 65535
//#define THIS_CPU_NUM() (cpu_number())
extern uint64
   wrperfmon (uint64, uint64);

#define WRITE_TO_PERFMON wrperfmon
typedef void IPR_WrtList;
#define allocate_wrtQEntry(a,b) (*(b) = NULL, IPR__SUCCESS)
#define SynchClose() (IPR__SUCCESS)
#define MoveMem(out,in,size) copyout(in,out,size)
//#define TrcPrint uprintf

extern IPR_BUFDSC *pCPUDataArray[];

#endif // ifdef OSF
#endif // ifndef __IPR_KERNEL_INT_OSF_LOADED
