#ifndef __IPR_KERNEL_INT_VMS_LOADED
#define __IPR_KERNEL_INT_VMS_LOADED 1
#ifdef __VMS
//++
// Module:	IPR_KERNEL_INT_VMS.H
//
// Version:	X-1
//--

/****************************************************************************/
/*									    */
/*  COPYRIGHT (c) 1994 BY						    */
/*  DIGITAL EQUIPMENT CORPORATION, MAYNARD, MASSACHUSETTS.		    */
/*  ALL RIGHTS RESERVED.						    */
/* 									    */
/*  THIS SOFTWARE IS FURNISHED UNDER A LICENSE AND MAY BE USED AND COPIED   */
/*  ONLY IN  ACCORDANCE WITH  THE  TERMS  OF  SUCH  LICENSE  AND WITH THE   */
/*  INCLUSION OF THE ABOVE COPYRIGHT NOTICE. THIS SOFTWARE OR  ANY  OTHER   */
/*  COPIES THEREOF MAY NOT BE PROVIDED OR OTHERWISE MADE AVAILABLE TO ANY   */
/*  OTHER PERSON.  NO TITLE TO AND OWNERSHIP OF  THE  SOFTWARE IS  HEREBY   */
/*  TRANSFERRED.							    */
/* 									    */
/*  THE INFORMATION IN THIS SOFTWARE IS  SUBJECT TO CHANGE WITHOUT NOTICE   */
/*  AND  SHOULD  NOT  BE  CONSTRUED AS  A COMMITMENT BY DIGITAL EQUIPMENT   */
/*  CORPORATION.							    */
/* 									    */
/*  DIGITAL ASSUMES NO RESPONSIBILITY FOR THE USE  OR  RELIABILITY OF ITS   */
/*  SOFTWARE ON EQUIPMENT WHICH IS NOT SUPPLIED BY DIGITAL.		    */
/* 									    */
/*									    */
/****************************************************************************/
//
//             Patent Pending, Digital Equipment Corporation
//

//++
// Abstract:	This header file contains definitions for the IPROBE API
//		kernel.
//
// Author:		Brian F. Wibecan
// Creation Date:	28-Oct-1994
//
// Modified by:
//
// X-1	BFW		Brian F. Wibecan	28-Oct-1994
//	Original version.
//--

#include "ipr_kernel_ext_defs.h"
#include <exedef.h>
#include <fkbdef.h>
#include <string.h>

#define AFFINITY_CPU_MASK smp$gl_active_cpus
#define NOAFFINITY_CPU_MASK smp$gl_cpuconf


extern IPR_BUFDSC
   **pCPUDataArray;
extern IPR_CPUMASK
   AFFINITY_CPU_MASK,
   NOAFFINITY_CPU_MASK;

#pragma extern_model save
#pragma extern_model strict_refdef "CTRSTOPDATA"
extern IPR_BOOLEAN
   kernel_allocated_flag;
extern uint64
   kernel_stop_counters_arg1,
   kernel_stop_counters_arg2;
#pragma extern_model restore

#define IPR_ALLOCATION_GRANULARITY (EXE$M_NPAGGRNMSK + 1)
// Temporary redefinition
#define ALLOCATION_GRANULARITY IPR_ALLOCATION_GRANULARITY
#define IPR_SAMPBUF_GRAN 512
#define ROUND_SAMPLEBUFFER(b) round_value_up ((b), IPR_SAMPBUF_GRAN)
#define IPR_MAX_BUFFER_SIZE 65535

//extern uint64
//   MTPR_PERFMON (uint64, uint64);

//#define WRITE_TO_PERFMON MTPR_PERFMON
typedef FKB IPR_WrtList;
#define allocate_wrtQEntry AllocateFKB
extern IPR_STATUS AllocateFKB (IPR_SBUFFER *pSB, FKB **pRet);
#define SynchClose(a) IPR__SUCCESS
#define MoveMem(a,b,c) (void) memcpy(a,b,c)

#endif // ifdef __VMS
#endif // ifndef __IPR_KERNEL_INT_VMS_LOADED
