#ifndef __IPR_MSG_T_LOADED
#define __IPR_MSG_T_LOADED 1
// .TITLE: Error messages for IPROBE API
// Version X-1
// ++
// ****************************************************************************
// *                                                                        *
// *  COPYRIGHT (c) 1995 BY                                                 *
// *  DIGITAL EQUIPMENT CORPORATION, MAYNARD, MASSACHUSETTS.                *
// *  ALL RIGHTS RESERVED.                                                  *
// *                                                                        *
// *  THIS SOFTWARE IS FURNISHED UNDER A LICENSE AND MAY BE USED AND COPIED   *
// *  ONLY IN  ACCORDANCE WITH  THE  TERMS  OF  SUCH  LICENSE  AND WITH THE   *
// *  INCLUSION OF THE ABOVE COPYRIGHT NOTICE. THIS SOFTWARE OR  ANY  OTHER   *
// *  COPIES THEREOF MAY NOT BE PROVIDED OR OTHERWISE MADE AVAILABLE TO ANY   *
// *  OTHER PERSON.  NO TITLE TO AND OWNERSHIP OF  THE  SOFTWARE IS  HEREBY   *
// *  TRANSFERRED.                                                          *
// *                                                                        *
// *  THE INFORMATION IN THIS SOFTWARE IS  SUBJECT TO CHANGE WITHOUT NOTICE   *
// *  AND  SHOULD  NOT  BE  CONSTRUED AS  A COMMITMENT BY DIGITAL EQUIPMENT   *
// *  CORPORATION.                                                          *
// *                                                                        *
// *  DIGITAL ASSUMES NO RESPONSIBILITY FOR THE USE  OR  RELIABILITY OF ITS   *
// *  SOFTWARE ON EQUIPMENT WHICH IS NOT SUPPLIED BY DIGITAL.               *
// *                                                                        *
// *                                                                        *
// ****************************************************************************
//
//              Patent Pending, Digital Equipment Corporation
//
//  Abstract:   This file contains the message source code for the IPROBE API
//              messages.
//
//  Author:             Brian F. Wibecan
//  Creation Date:      18-Oct-1994
//
//  Modified by:
//
//  X-1 BFW             Brian F. Wibecan        18-Oct-1994
//      Original version.
// --

static struct
{
   char *ename;
   char *etext;
} message_strings [] =
{
   { "IPR__SUCCESS", "Successful completion" },
   { "IPR__PARTBUFF", "Partial buffer returned" },
   { "IPR__NOMOREBUFF", "No more full buffers found" },
   { "IPR__INTERRUPTING", "Counter is interrupting" },
   { "IPR__FURTHER_EVENTS", "Further events exist" },
   { "IPR__NO_FURTHER_EVENTS", "No further events exist" },
   { "IPR__DISABLED", "Counter is disabled" },
   { "IPR__COUNTING", "Counter is counting" },
   { "IPR__INCOMPLETE", "Counter information is incomplete" },
   { "IPR__UNAVAILABLE", "Function unavailable on this platform" },
   { "IPR__WRITESHORT", "Writing short" },
   { "IPR__NOTALLREAD", "Not all data read" },
   { "IPR__NOTINHIST", "Not in histogram" },
   { "IPR__UNKNOWNERR", "Unknown error message" },
   { "IPR__FAILURE", "General failure code" },
   { "IPR__INCOMPLETE_ERROR", "Incomplete counter data" },
   { "IPR__INVALID", "Invalid specification" },
   { "IPR__INVALID_FREQUENCY", "Invalid frequency" },
   { "IPR__INVALID_MODES", "Invalid modes" },
   { "IPR__NO_EVENT_SPECIFIED", "No event was specified" },
   { "IPR__NOT_AMONG", "Specified counter not among ones being collected" },
   { "IPR__TOO_MANY_EVENTS", "Too many events specified" },
   { "IPR__OUTRANGE", "Counter number out of range" },
   { "IPR__ALRACTIVE", "Counters are already active" },
   { "IPR__NOTOWNER", "Caller is not the owner of the counters" },
   { "IPR__INVCPU", "Invalid CPU number" },
   { "IPR__INVACTION", "Invalid action specified" },
   { "IPR__MEMORY_FAIL", "Memory allocation failure" },
   { "IPR__MODE_CONFLICT", "Modes in conflict between counters" },
   { "IPR__ALLOCFAIL", "Allocation failure" },
   { "IPR__BDNOTFND", "Buffer descriptor not found" },
   { "IPR__BDEXISTS", "Buffer descriptor already exists" },
   { "IPR__NOCOUNT", "No counters exist" },
   { "IPR__INVELEM", "Invalid histogram element" },
   { "IPR__BIGHIST", "Histogram too large" },
   { "IPR__HBNOTFND", "Histogram buffer not found" },
   { "IPR__NOMATCH", "No matching data" },
   { "IPR__SBNOTFND", "Sample buffer not found" },
   { "IPR__ZONEFAIL", "Zone allocation failure" },
   { "IPR__ZONEFULL", "Memory zone is full" },
   { "IPR__NOZONE", "No zone exists" },
   { "IPR__BUFEXISTS", "Cannot delete buffer descriptor, buffers exist" },
   { "IPR__HISTOVFLW", "Histogram overflow" },
   { "IPR__NOTINNPP", "Not in non-paged pool" },
   { "IPR__NPPLOVFLW", "Non-paged pool overflow" },
   { "IPR__PTRLOOPLIM", "Exceeded loop iteration limit" },
   { "IPR__INVBUFKIND", "Buffer is not of correct type" },
   { "IPR__INVSETACT", "Invalid set action" },
   { "IPR__ALLOCSMALL", "Allocated smaller than expected" },
   { "IPR__ALLOCBIG", "Allocation larger than expected" },
   { "IPR__PME_FAIL", "Unable to set PME bit" },
   { "IPR__AFFINITY_FAIL", "Unable to set processor affinity" },
   { "IPR__NULLPTR", "Null pointer specified" },
   { "IPR__EMPTYSAMP", "Sample buffer is empty" },
   { "IPR__SBPRVNOTFND", "Previous sample buffer not found" },
   { "IPR__UNDEFCHIP", "Undefined chip type" },
   { "IPR__INVPARAM", "Invalid parameter specified" },
   { "IPR__INVALID_EVENT", "Invalid event specified" },
   { "IPR__OPENFAIL", "File open failure" },
   { "IPR__CLOSEFAIL", "File close failure" },
   { "IPR__WRITEFAIL", "File write failure" },
   { "IPR__ALROPEN", "File already open" },
   { "IPR__INVMASK", "Invalid mask specified" },
   { "IPR__SBDELTIMEOUT", "Sample buffer delta timeout" },
   { "IPR__KAPIHANDEXISTS", "Kernel failure, API handle already exists" },
   { "IPR__KAPIHANDNOTDEF", "Kernel failure, API handle not defined" },
   { "IPR__KAPIHANDDIFF", "Kernel failure, API handle is different from expected" },
   { "IPR__INVEVENTNAME", "Invalid event name" },
   { "IPR__AMBIGUOUS", "Ambiguous event name" },
   { "IPR__INVHBRANGE", "Invalid histogram buffer range" },
   { "IPR__UNIMPLEMENTED", "Feature is currently unimplemented" },
   { "IPR__ERRCTRLCSET", "%rror in setting ctrl-c trap" },
   { "IPR__ERRWAKE", "%rror in waking up Iprobe" },
   { "IPR__ERRCTRLCRESET", "%rror in resetting ctrl-c trap" },
   { "IPR__ERRSCHED", "%rror in scheduling wake-up" },
   { "IPR__ERRREPWAKE", "%rror in scheduling repeating wake-up" },
   { "IPR__ERRCANWAKE", "%rror on canceling repeating wake-up" },
   { "IPR__ERRHIBER", "%rror in hibernating the Iprobe" },
   { "IPR__ERRTIMCON", "%rror in conversion of time" },
   { "IPR__ERRSYSINFO", "%rror in getting system specific information" },
   { "IPR__ERRTIME", "%rror in getting system time" },
};
#endif // ifndef __IPR_MSG_T_LOADED
