//
// Program REP for Windows NT
// Module SYSREP_H
// Adapted from undocumented ntrtl.h
//
// Copyright:
//  1994 by Digital Equipment Corporation
//
//             Patent Pending, Digital Equipment Corporation
//
//
// Created:
//  Michael Dempsey
//  July 6, 1994
//
// Modification history:
//
// Special definitions for kernel process files
#define NT_SUCCESS(status) (status >= 0) 
//
// System Information Classes.
//

typedef enum _SYSTEM_INFORMATION_CLASS {
    SystemBasicInformation,
    SystemProcessorInformation,
    SystemPerformanceInformation,
    SystemTimeOfDayInformation,
    SystemPathInformation,
    SystemProcessInformation,
    SystemCallCountInformation,
    SystemDeviceInformation,
    SystemProcessorPerformanceInformation
    ,SystemFlagsInformation
    ,SystemCallTimeInformation
    ,SystemModuleInformation
    ,SystemLocksInformation
    ,SystemStackTraceInformation
    ,SystemPagedPoolInformation
    ,SystemNonPagedPoolInformation
    ,SystemHandleInformation
    ,SystemObjectInformation
    ,SystemPageFileInformation
    ,SystemVdmInstemulInformation
    ,SystemVdmBopInformation
    ,SystemFileCacheInformation
    ,SystemSpare0Information
    ,SystemSpare1Information
    ,SystemSpare2Information
    ,SystemSpare3Information
    ,SystemSpare4Information
    ,SystemSpare5Information

} SYSTEM_INFORMATION_CLASS;

typedef struct _RTL_PROCESS_MODULE_INFORMATION {
    HANDLE Section;                 // Not filled in
    PVOID MappedBase;
    PVOID ImageBase;
    ULONG ImageSize;
    ULONG Flags;
    USHORT LoadOrderIndex;
    USHORT InitOrderIndex;
    USHORT LoadCount;
    USHORT OffsetToFileName;
    UCHAR  FullPathName[ 256 ];
} RTL_PROCESS_MODULE_INFORMATION, *PRTL_PROCESS_MODULE_INFORMATION;

typedef struct _RTL_PROCESS_MODULES {
    ULONG NumberOfModules;
    RTL_PROCESS_MODULE_INFORMATION Modules[ 1 ];
} RTL_PROCESS_MODULES, *PRTL_PROCESS_MODULES;

// Undocumented system call
LONG
NtQuerySystemInformation (
    IN SYSTEM_INFORMATION_CLASS SystemInformationClass,
    OUT PVOID SystemInformation,
    IN ULONG SystemInformationLength,
    OUT PULONG ReturnLength OPTIONAL
    );
