/* Module:      CTR_ROUTINES_NT.C
 *
 * Version:     X-2
 */

/****************************************************************************/
/*                                                                          */
/*  COPYRIGHT (c) 1994 BY                                                   */
/*  DIGITAL EQUIPMENT CORPORATION, MAYNARD, MASSACHUSETTS.                  */
/*  ALL RIGHTS RESERVED.                                                    */
/*                                                                          */
/*  THIS SOFTWARE IS FURNISHED UNDER A LICENSE AND MAY BE USED AND COPIED   */
/*  ONLY IN  ACCORDANCE WITH  THE  TERMS  OF  SUCH  LICENSE  AND WITH THE   */
/*  INCLUSION OF THE ABOVE COPYRIGHT NOTICE. THIS SOFTWARE OR  ANY  OTHER   */
/*  COPIES THEREOF MAY NOT BE PROVIDED OR OTHERWISE MADE AVAILABLE TO ANY   */
/*  OTHER PERSON.  NO TITLE TO AND OWNERSHIP OF  THE  SOFTWARE IS  HEREBY   */
/*  TRANSFERRED.                                                            */
/*                                                                          */
/*  THE INFORMATION IN THIS SOFTWARE IS  SUBJECT TO CHANGE WITHOUT NOTICE   */
/*  AND  SHOULD  NOT  BE  CONSTRUED AS  A COMMITMENT BY DIGITAL EQUIPMENT   */
/*  CORPORATION.                                                            */
/*                                                                          */
/*  DIGITAL ASSUMES NO RESPONSIBILITY FOR THE USE  OR  RELIABILITY OF ITS   */
/*  SOFTWARE ON EQUIPMENT WHICH IS NOT SUPPLIED BY DIGITAL.                 */
/*                                                                          */
/*                                                                          */
/****************************************************************************/

/*
 * Abstract:    This file contains VMS-specific routines needed by all chip
 *              types.
 *
 * Author:              Bradley M. Waters
 * Creation Date:       5-Jul-1994
 *
 * Modified by:
 *
 * X-2  BMW1001         Bradley M. Waters       18-Jul-1994
 *      Modified based on kernel rationalization.
 *
 * X-1  BMW1000         Bradley M. Waters        5-Jul-1994
 *      Original version.
 *
 */

#include "ipr_shr_nt.h"       // includes windows.h for basic type defs for Windows NT

#include "ctr_int_defs.h"
#include "ipr_api_int_defs.h"

//#include "api_routines_nt.h"

typedef void IniFunction (void *, IPR_BOOLEAN);

extern IPR_STATUS CtrInitialize (void *Areaptr, IPR_BOOLEAN init_shared)
{
   extern IniFunction
      Ev4Initialize,
      Ev5Initialize;

   switch (chipinfo.majorIdent)
   {
      case 21064 :
         Ev4Initialize (Areaptr, init_shared);
         break;
      case 21164 :
         Ev5Initialize (Areaptr, init_shared);
      default:
         return IPR__UNDEFCHIP;
         break;
   }
   return IPR__SUCCESS;
}


