#ifndef __HB_LIBRARY_LOADED
#define __HB_LIBRARY_LOADED
//
//
// Module:	IPR_API_BASE_DEFS.H
//
// Version:	X-1
//
/****************************************************************************/
/*									    */
/*  COPYRIGHT (c) 1995 BY						    */
/*  DIGITAL EQUIPMENT CORPORATION, MAYNARD, MASSACHUSETTS.		    */
/*  ALL RIGHTS RESERVED.						    */
/* 									    */
/*  THIS SOFTWARE IS FURNISHED UNDER A LICENSE AND MAY BE USED AND COPIED   */
/*  ONLY IN  ACCORDANCE WITH  THE  TERMS  OF  SUCH  LICENSE  AND WITH THE   */
/*  INCLUSION OF THE ABOVE COPYRIGHT NOTICE. THIS SOFTWARE OR  ANY  OTHER   */
/*  COPIES THEREOF MAY NOT BE PROVIDED OR OTHERWISE MADE AVAILABLE TO ANY   */
/*  OTHER PERSON.  NO TITLE TO AND OWNERSHIP OF  THE  SOFTWARE IS  HEREBY   */
/*  TRANSFERRED.							    */
/* 									    */
/*  THE INFORMATION IN THIS SOFTWARE IS  SUBJECT TO CHANGE WITHOUT NOTICE   */
/*  AND  SHOULD  NOT  BE  CONSTRUED AS  A COMMITMENT BY DIGITAL EQUIPMENT   */
/*  CORPORATION.							    */
/* 									    */
/*  DIGITAL ASSUMES NO RESPONSIBILITY FOR THE USE  OR  RELIABILITY OF ITS   */
/*  SOFTWARE ON EQUIPMENT WHICH IS NOT SUPPLIED BY DIGITAL.		    */
/* 									    */
/*									    */
/****************************************************************************/
//
//             Patent Pending, Digital Equipment Corporation
//
//
// Abstract:	This header file contains some specific definitions used
// 		by performance counter support code in C.
//
// Author:		Brian F. Wibecan
// Creation Date:	26-Jun-1995
//
// Modified by:
//
// X-1	BFW		Brian F. Wibecan	26-Jun-1995
//	Original version.
//

#include "ipr_api_base_defs.h"

// Histogram buffer indexing functions

extern IPR_STATUS IprHbIndex (IPR_HISTVALUE value,
		IPR_CTRNUMBER ctr,
		IPR_COUNT numctrs,
		IPR_HISTVALUE minval,
		int gran,
		int *index);

extern IPR_STATUS IprHbValue (int index,
		IPR_COUNT numctrs,
		IPR_HISTVALUE minval,
		int gran,
		IPR_HISTVALUE *value);

extern IPR_STATUS IprHbElements (IPR_COUNT numctrs,
		IPR_HISTVALUE numval,
		int gran,
		IPR_COUNT *numelem);

extern IPR_STATUS IprHbMaxValue (
        int index,                   // Index into histogram array
        IPR_COUNT numctrs,           // Number of counters
        IPR_HISTVALUE minval,        // Min value stored in histogram
        IPR_HISTVALUE numvals,       // Number of values in histogram
        int gran,                    // Granularity
        IPR_HISTVALUE *hival);      // Max value at specified index

#endif // ifndef __HB_LIBRARY_LOADED
