#ifndef __IPR_API_INT_NT_LOADED
#define __IPR_API_INT_NT_LOADED 1
#ifdef __NT
//
//
// Module:	IPR_API_INT_NT.H
//
// Version:	X-1
//
/****************************************************************************/
/*									    */
/*  COPYRIGHT (c) 1995 BY						    */
/*  DIGITAL EQUIPMENT CORPORATION, MAYNARD, MASSACHUSETTS.		    */
/*  ALL RIGHTS RESERVED.						    */
/* 									    */
/*  THIS SOFTWARE IS FURNISHED UNDER A LICENSE AND MAY BE USED AND COPIED   */
/*  ONLY IN  ACCORDANCE WITH  THE  TERMS  OF  SUCH  LICENSE  AND WITH THE   */
/*  INCLUSION OF THE ABOVE COPYRIGHT NOTICE. THIS SOFTWARE OR  ANY  OTHER   */
/*  COPIES THEREOF MAY NOT BE PROVIDED OR OTHERWISE MADE AVAILABLE TO ANY   */
/*  OTHER PERSON.  NO TITLE TO AND OWNERSHIP OF  THE  SOFTWARE IS  HEREBY   */
/*  TRANSFERRED.							    */
/* 									    */
/*  THE INFORMATION IN THIS SOFTWARE IS  SUBJECT TO CHANGE WITHOUT NOTICE   */
/*  AND  SHOULD  NOT  BE  CONSTRUED AS  A COMMITMENT BY DIGITAL EQUIPMENT   */
/*  CORPORATION.							    */
/* 									    */
/*  DIGITAL ASSUMES NO RESPONSIBILITY FOR THE USE  OR  RELIABILITY OF ITS   */
/*  SOFTWARE ON EQUIPMENT WHICH IS NOT SUPPLIED BY DIGITAL.		    */
/* 									    */
/*									    */
/****************************************************************************/
//
//             Patent Pending, Digital Equipment Corporation
//
// Abstract:	This header file contains NT-specific API internal definitions.
//
// Author:		Brian F. Wibecan
// Creation Date:	20-Jun-1995
//
// Modified by:
//
// X-1	BFW		Brian F. Wibecan	20-Jun-1995
//	Original version.
//

// Kludge.  The following two typedefs should be in one of the SDK header
// files.  But apparently I couldn't find it.
typedef unsigned __int64 ULONGLONG;
typedef long NTSTATUS;

#ifndef _NTDDK_
// Temporarily define UNICODE_STRING here
typedef struct _UNICODE_STRING {
    USHORT Length;
    USHORT MaximumLength;
    PWSTR  Buffer;
} UNICODE_STRING;
#endif

#include "dda21064.h"

// Include NT specific internal function prototypes (used by kernel and api)
#include "ipr_int_nt.h"

extern IPR_CHIPINFO chipinfo;
extern IPR_SHAREDATA GblShareArea;

extern HANDLE ctrHand[IPR_MAX_CPUS][IPR_MAX_COUNTERS];
extern HANDLE gctrHand[IPR_MAX_CPUS][IPR_MAX_COUNTERS];

extern IPR_STATUS DuplHand(IN HANDLE hSourceProc, IN HANDLE hTargetProc,
                           IN DWORD num_ctrs);

/*
// general IPR_ROUTINES
// NOTE:  Mappings from Ipr and E_Ipr... to Ipr... have already occurred

extern IPR_STATUS IprAllocate (void);

extern IPR_STATUS IprDeallocate (void);

extern IPR_STATUS IprSetActiveCounters (
   IN IPR_CPUMASK cpus,         // CPUs affected
   IN IPR_CTRMASK validmask,    // Mask of valid counters
   IN IPR_CTRMASK *retmask);    // Returned mask for starting counters

extern IPR_STATUS IprSetSampleSkip (
   IPR_CPUMASK cpus,         // CPUs affected
   IPR_COUNT *skip_values,   // Array of skip values, one per counter
   IPR_SIZE arrsize);        // Size of the array

extern IPR_STATUS IprCreateSampleBuffers (
   IPR_CPUMASK cpus,          // Mask of desired CPUs
   IPR_COUNT bufcnt,          // Number of buffers
   IPR_SIZE bufsiz,           // Size of buffer in bytes
   IPR_DMASK datcol,          // Data to be collected
   IPR_DMASK qdatcol,         // Data to be collected
   int sampleaction,          // Action to perform in lieu of sampling
   int fullaction,            // Action to perform when buffer is full
   int (*pRoutine) (),        // Routine to be called
   IPR_COUNT rangecnt,        // Number of valid PC ranges
   uint64 *ranges);           // Valid PC ranges (start-end pairs)

extern IPR_STATUS IprAddAddressHistogramBuffers (IN IPR_CPUMASK cpus,
                                                 IN IPR_HISTVALUE BeginAddr,
                                                 IN IPR_HISTVALUE EndAddr,
                                                 unsigned int gran,
                                                 unsigned int index);

extern IPR_STATUS IprCreateHistogramBuffers (IN IPR_CPUMASK cpus, IN IPR_HMASK histos,
                                             IN IPR_HISTVALUE BeginAddr,
                                             IN IPR_HISTVALUE EndAddr,
                                             IN unsigned int gran,
                                             IN unsigned int index);

extern IPR_STATUS IprDeleteBuffers (IN IPR_CPUNUM cpus);

extern IPR_STATUS IprSelectEvents (IN IPR_CPUMASK cpus, IN IPR_EVENTSET *events,
                                   IN IPR_FREQ freq, IN uint64 *MUXvalue);

extern IPR_STATUS IprSelectEventsFromArray (IN IPR_CPUMASK cpus,
                                            IN const IPR_EVENT *events,
                                            IN const IPR_FREQ *freqs,
                                            IN IPR_SIZE asize,
                                            IN uint64 *MUXvalue);

// 10

extern IPR_STATUS IprSetEvents (IN IPR_CPUMASK cpus, IN uint64 *MUXvalue);

extern IPR_STATUS IprSetModes (IN IPR_CPUMASK cpus, IN IPR_MMASK modes);

extern IPR_STATUS IprEventCounterMap (IN IPR_CPUMASK cpus, IN IPR_EVENT *event_arr,
                                      IN IPR_SIZE asize);

extern IPR_STATUS IprFreqCounterMap (IN IPR_CPUMASK cpus, IN IPR_FREQ *freq_arr,
                                     IN IPR_SIZE asize);

extern IPR_STATUS IprCounterNumber (IN IPR_CPUMASK cpus, IN IPR_EVENT event,
                                    IN IPR_CTRNUMBER *cnum);

extern IPR_STATUS IprStart (IN IPR_CPUMASK cpus, IN IPR_CTRMASK ctrs);

extern IPR_STATUS IprStop (IN IPR_CPUMASK cpus, IN IPR_CTRMASK ctrs);

extern IPR_STATUS IprPause (IN IPR_CPUMASK cpus, IN IPR_CTRMASK ctrs);

extern IPR_STATUS IprResume (IN IPR_CPUMASK cpus, IN IPR_CTRMASK ctrs);

extern IPR_STATUS IprRead (IN IPR_CPUMASK cpus, IN int *cpuctxptr, IN IPR_CTRMASK cmask,
                           OUT int *retdata, IN IPR_SIZE rsize, IN int action_flags);

//20

extern IPR_STATUS IprReadAll (IN IPR_CPUMASK cpus, IN int *cpuctxptr, OUT int *retdata,
                              IN IPR_SIZE rsize, IN int action_flags);

extern IPR_STATUS IprWrite (IN IPR_CPUMASK cpus, IN int *cpuctxptr, IN IPR_CTRMASK cmask,
                            IN int *srcdata, IN IPR_SIZE srcsize);

extern IPR_STATUS IprClear (IN IPR_CPUMASK cpus, IN IPR_CTRMASK ctrs);

extern IPR_STATUS IprReadHistogram (IN IPR_CPUMASK cpus, IN int *cpuctxptr,
                                    OUT IPR_HISTELEM *retdata, IN IPR_SIZE retsize,
                                    IN IPR_HISTVALUE retmin, IN IPR_HMASK htype,
                                    IN unsigned int index, IN int action_flags);

extern IPR_STATUS IprClearHistograms (IN IPR_CPUMASK cpus, IN IPR_HMASK hmask, IN unsigned int index);

extern IPR_STATUS IprMarkEmptySampleBuffer (OUT IPR_SBUFFER *Sptr);

extern IPR_STATUS IprNextFullSampleBuffer (
   IN IPR_CPUMASK cpus,         // CPUs to be checked
   OUT IPR_SBUFFER **bctx,      // Returned pointer and previous context
   OUT IPR_SIZE *bsize,         // Returned size of buffer
   IN IPR_BOOLEAN write_flag);  // Indicates whether to check for partial buffers

extern IPR_STATUS IprClearContext (IN IPR_CPUMASK cpus);

// OS specific IPR_ROUTINES

extern IPR_STATUS IprWriteToSampleFile (IN void *bptr, IN IPR_SIZE bsize);

extern IPR_STATUS IprWriteOneSampleBuffer (IN IPR_SBUFFER *bptr, IN IPR_SIZE bsize);
//30
// General IPR_USER_ROUTINES

extern IPR_STATUS IprWriteSampleBuffers (
   IN IPR_CPUMASK cpus,     // Valid CPU mask
   IN int write_flag,       // Indicates whether to write partial buffers
   OUT int *rbufwrites,     // Optional returned number of buffers written
   OUT int *rpartwrites);   // Optional returned number of partial writes

extern IPR_STATUS IprTerminateSampling (OUT int *rbufwrites, OUT int *rpartwrites);

extern IPR_STATUS IprSpecifyOperations (
   IN IPR_CPUMASK cpus,
   IN IPR_EVENT *selected_event,
   IN IPR_FREQ *selected_frequency,
   IN IPR_COUNT ecount,
   IN IPR_MMASK selected_modes,
   IN uint64 *MUXvalue,
   IN IPR_CTRMASK *ctrmask);

extern IPR_STATUS IprReadMultipleHistograms (
   IN IPR_CPUMASK cpus,         // CPU mask
   IN int *cpuctxptr,           // CPU context
   OUT IPR_HISTELEM **retdata,  // Array of array pointers for return data
   OUT IPR_SIZE *retsize,       // Array of array sizes
   OUT IPR_HISTVALUE *retmin,   // Array of minimum values
   OUT IPR_HMASK *htype,        // Array of histogram types
   OUT unsigned int *index,     // Array of buffer index values
   IN int action_flags,         // Indicates how to store data
   IN IPR_COUNT itemcnt);        // Number of arrays

// OS specific IPR_USER_ROUTINES

extern IPR_STATUS IprCloseSampleFile (OUT int *buffwrites, OUT int *partwrites);

extern IPR_STATUS IprOpenSampleFile (IN char *fname, IN char *defname);

// General CTR_ROUTINES
// NOTE:  A mapping from Ctr... to Ipr... has already occurred
// for the IPROBE API routines.  However, there are routines that
// begin with Ctr... that aren't mapped to Ipr (in fact, doing
// so would conflict with other routines.

extern IPR_STATUS IprAvailableEvents (IN const IPR_EVENTSET *initial_events,
                             OUT IPR_EVENTSET *more_events);
extern IPR_STATUS IprAvailableFreqs (IN const IPR_EVENT event, OUT IPR_FREQ *freqs);
extern IPR_STATUS IprAvailableModes (OUT IPR_MMASK *modes);
extern IPR_STATUS IprAvailableFuncs (OUT IPR_FMASK *funcs);
//40
extern IPR_COUNT IprNumCounters (void);

extern IPR_SIZE IprEventSetSize (void);
extern IPR_STATUS IprClearEventSet (OUT IPR_EVENTSET *e);
extern IPR_STATUS IprInsertEvent (OUT IPR_EVENTSET *s, IN const IPR_EVENT e);
extern IPR_STATUS IprDeleteEvent (OUT IPR_EVENTSET *s, IN const IPR_EVENT e);
extern IPR_STATUS IprMaskEventSet (OUT IPR_EVENTSET *dst, IN const IPR_EVENTSET *msk);
extern IPR_STATUS IprMergeEventSet (OUT IPR_EVENTSET *dst, IN const IPR_EVENTSET *msk);
extern IPR_STATUS IprRemoveEventSet (OUT IPR_EVENTSET *dst, IN const IPR_EVENTSET *msk);
//extern IPR_BOOLEAN IprVerifyEventInSet (IN const IPR_EVENTSET *s, IN const IPR_EVENT e);
extern IPR_EVENT IprEventToNumber (IN const IPR_EVENTSET *event);
extern IPR_COUNT IprNumberEventsInSet (IN const IPR_EVENTSET *x);
//50
extern IPR_STATUS IprExpandEventSet (IN const IPR_EVENTSET *s, OUT IPR_EVENT *a, IN IPR_SIZE size);
*/

// OS Specific CTR_ROUTINES

extern IPR_STATUS CtrInitialize (void *Areaptr, IPR_BOOLEAN init_shared);
extern void Ev4Initialize (void *Areaptr, IPR_BOOLEAN init_shared);

extern IPR_STATUS set_affinity (IN IPR_CPUNUM cpu);
extern IPR_STATUS clear_affinity (void);

#endif // ifdef __NT
#endif // ifndef __IPR_API_INT_NT_LOADED
