#ifndef __IPR_BASE_DEFS_LOADED
#define __IPR_BASE_DEFS_LOADED 1
//
//
// Module:	IPR_BASE_DEFS.H
//
// Version:	X-1
//
/****************************************************************************/
/*									    */
/*  COPYRIGHT (c) 1994 BY						    */
/*  DIGITAL EQUIPMENT CORPORATION, MAYNARD, MASSACHUSETTS.		    */
/*  ALL RIGHTS RESERVED.						    */
/* 									    */
/*  THIS SOFTWARE IS FURNISHED UNDER A LICENSE AND MAY BE USED AND COPIED   */
/*  ONLY IN  ACCORDANCE WITH  THE  TERMS  OF  SUCH  LICENSE  AND WITH THE   */
/*  INCLUSION OF THE ABOVE COPYRIGHT NOTICE. THIS SOFTWARE OR  ANY  OTHER   */
/*  COPIES THEREOF MAY NOT BE PROVIDED OR OTHERWISE MADE AVAILABLE TO ANY   */
/*  OTHER PERSON.  NO TITLE TO AND OWNERSHIP OF  THE  SOFTWARE IS  HEREBY   */
/*  TRANSFERRED.							    */
/* 									    */
/*  THE INFORMATION IN THIS SOFTWARE IS  SUBJECT TO CHANGE WITHOUT NOTICE   */
/*  AND  SHOULD  NOT  BE  CONSTRUED AS  A COMMITMENT BY DIGITAL EQUIPMENT   */
/*  CORPORATION.							    */
/* 									    */
/*  DIGITAL ASSUMES NO RESPONSIBILITY FOR THE USE  OR  RELIABILITY OF ITS   */
/*  SOFTWARE ON EQUIPMENT WHICH IS NOT SUPPLIED BY DIGITAL.		    */
/* 									    */
/*									    */
/****************************************************************************/
//
//             Patent Pending, Digital Equipment Corporation
//
//
// Abstract:	This header file contains some specific definitions used
// 		by performance counter support code in C.
//
// Author:		Brian F. Wibecan
// Creation Date:	26-Oct-1994
//
// Modified by:
//
// X-1	BFW		Brian F. Wibecan	26-Oct-1994
//	Original version, created from CTRDEF.H and others.
//

#ifndef FALSE
#  define FALSE 0
#endif
#ifndef TRUE
#  define TRUE 1
#endif
#ifndef NULL
#  define NULL (void *) 0
#endif
#define IPR_MAX_CPUS 32
typedef unsigned int IPR_FREQ;
typedef unsigned int IPR_CTRMASK;
typedef unsigned int IPR_EVENT;
typedef unsigned int IPR_STATUS;
typedef unsigned int IPR_BOOLEAN;
typedef unsigned int IPR_COUNT;
typedef unsigned int IPR_SIZE;
typedef unsigned int IPR_CTRNUMBER;
typedef unsigned int IPR_CPUNUM;
typedef unsigned int IPR_CPUMASK;

struct _ipr_eventset;
typedef struct _ipr_eventset IPR_EVENTSET;

#define IPR_FREQUENCY_LOWEST 0x0110
#define IPR_FREQUENCY_HIGHEST 0x0111

#define IPR_ALL_CONTEXT_AREAS -1

#include "ints.h"
#include "ipr_base_masks.h"
#include "ipr_messages.h"
#include "bit_library.h"

#if (defined __VMS) || (defined __osf__)
#  define IN
#  define OUT
   typedef void * PVOID;
#endif

#endif // ifndef __IPR_BASE_DEFS_LOADED
