#ifndef __IPR_KERNEL_INT_NT_LOADED
#define __IPR_KERNEL_INT_NT_LOADED 1
#ifdef __NT
//++
// Module:      IPR_KERNEL_INT_NT.H
//
// Version:     X-1
//--

/****************************************************************************/
/*                                                                          */
/*  COPYRIGHT (c) 1994 BY                                                   */
/*  DIGITAL EQUIPMENT CORPORATION, MAYNARD, MASSACHUSETTS.                  */
/*  ALL RIGHTS RESERVED.                                                    */
/*                                                                          */
/*  THIS SOFTWARE IS FURNISHED UNDER A LICENSE AND MAY BE USED AND COPIED   */
/*  ONLY IN  ACCORDANCE WITH  THE  TERMS  OF  SUCH  LICENSE  AND WITH THE   */
/*  INCLUSION OF THE ABOVE COPYRIGHT NOTICE. THIS SOFTWARE OR  ANY  OTHER   */
/*  COPIES THEREOF MAY NOT BE PROVIDED OR OTHERWISE MADE AVAILABLE TO ANY   */
/*  OTHER PERSON.  NO TITLE TO AND OWNERSHIP OF  THE  SOFTWARE IS  HEREBY   */
/*  TRANSFERRED.                                                            */
/*                                                                          */
/*  THE INFORMATION IN THIS SOFTWARE IS  SUBJECT TO CHANGE WITHOUT NOTICE   */
/*  AND  SHOULD  NOT  BE  CONSTRUED AS  A COMMITMENT BY DIGITAL EQUIPMENT   */
/*  CORPORATION.                                                            */
/*                                                                          */
/*  DIGITAL ASSUMES NO RESPONSIBILITY FOR THE USE  OR  RELIABILITY OF ITS   */
/*  SOFTWARE ON EQUIPMENT WHICH IS NOT SUPPLIED BY DIGITAL.                 */
/*                                                                          */
/*                                                                          */
/****************************************************************************/
//
//             Patent Pending, Digital Equipment Corporation
//

//++
// Abstract:    This header file contains definitions for the IPROBE API
//              kernel.
//
// Author:              Bradley M. Waters
// Creation Date:       2-Dec-1994
//
// Modified by:
//
// X-1  BMW             Bradley M. Waters        2-Dec-1994
//      Original version.
//--

#include "ipr_kernel_ext_defs.h"

// Include NT specific internal function prototypes (used by kernel and api)
#include "ipr_int_nt.h"

extern IPR_BUFDSC *pCPUDataArray[];

extern KEVENT *writeWait;

#define IPR_NUM_ZONES 4

// Define nonpaged pool zone size

typedef struct _IPR_ZONE_INFO {
   int size;            // number of bytes in zone
   int granularity;     // number of bytes in each allocation chunk
   IPR_BUFHDR *start;
} IPR_ZONE_INFO;

// Define kernel version

#define IPR_KRNL_MAJOR_VER (1)  // Bump each time a major modification is made to the kernel
#define IPR_KRNL_MINOR_VER (1)  // Bump each time a minor modification is made to the kernel

extern ZONE_HEADER zhdr[IPR_NUM_ZONES];   // Header for the nonpaged pool zones
extern IPR_ZONE_INFO zinfo[IPR_NUM_ZONES];

#define IPR_SAMPLEBUFFER_GRANULARITY 512
#define ROUND_SAMPLEBUFFER(b) (round_value_up (b, IPR_SAMPLEBUFFER_GRANULARITY))

//extern IPR_CPUMASK
//   affinity_cpu_mask,
//   noaffinity_cpu_mask;
//extern IPR_CPUNUM num_cpus;

//#define AFFINITY_CPU_MASK   (sysdata.affinity_cpu_mask)
//#define NOAFFINITY_CPU_MASK (sysdata.noaffinity_cpu_mask)
//#define NUM_CPUS            (num_cpus)

#define IPR_SAMPBUF_GRAN 512

#define IPR_MAX_BUFFER_SIZE (65536-512)

#define MoveMem RtlCopyMemory

#define ALLOCATION_GRANULARITY sysdata.allocation_granularity

extern IPR_STATUS KIprSetAffinity(IN IPR_CPUNUM cpu, IN IPR_BOOLEAN setting);
extern IPR_STATUS KIprResetIpl(void);
//extern IPR_STATUS KIprHbValidRange(IN IPR_HDESC *descrip);

//
// implemented in OS specific sample_buffer...
//

typedef struct _IPR_WrtList {
   LIST_ENTRY list_ptrs;
   IPR_SBUFFER *bufptr;
   IPR_SIZE bsize;
   IPR_BOOLEAN sampBuff;
   IPR_BOOLEAN delBuff;         // flag indicating whether write thread should delete
                                // buffer after write
   IPR_BOOLEAN delEntry;        // flag indicating whether write thread should delete
                                // queue entry after write
} IPR_WrtList;

extern KEVENT *writeWait;

extern IPR_STATUS allocate_wrtQEntry(IN IPR_SBUFFER *Sptr, OUT IPR_WrtList **list_ptr);
extern IPR_STATUS SynchClose(void);

#endif // ifdef __NT
#endif // ifndef __IPR_KERNEL_INT_NT_LOADED
