#include <windows.h>
#include "ipr_msg_nt.h"
#include "iprmsg_nt.h"

/*
#define  _UNICODE

#include <tchar.h>
#include <wchar.h>
*/

HANDLE hEventLog;
DWORD  MESSAGE_LEVEL;

HANDLE
MonOpenEventLog (
)
/*++

Routine Description:

    Reads the level of event logging from the registry and opens the
        channel to the event logger for subsequent event log entries.

Arguments:

      None

Return Value:

    Handle to the event log for reporting events.
    NULL if open not successful.

--*/
{
    HKEY hAppKey;
    TCHAR LogLevelKeyName[] = L"SOFTWARE\\Microsoft\\Windows NT\\CurrentVersion\\Perflib";
    TCHAR LogLevelValueName[] = L"EventLogLevel";

    LONG lStatus;

    DWORD dwLogLevel;
    DWORD dwValueType;
    DWORD dwValueSize;

    // if global value of the logging level not initialized or is disabled,
    //  check the registry to see if it should be updated.

    lStatus = RegOpenKeyEx (HKEY_LOCAL_MACHINE,
                            LogLevelKeyName,
                            0,
                            KEY_READ,
                            &hAppKey);

    dwValueSize = sizeof (dwLogLevel);

    if (lStatus == ERROR_SUCCESS) {
         lStatus = RegQueryValueEx (hAppKey,
                            LogLevelValueName,
                            (LPDWORD)NULL,
                            &dwValueType,
                            (LPBYTE)&dwLogLevel,
                            &dwValueSize);

         if (lStatus == ERROR_SUCCESS) {
            MESSAGE_LEVEL = dwLogLevel;
         } else {
            MESSAGE_LEVEL = MESSAGE_LEVEL_DEFAULT;
         }
         RegCloseKey (hAppKey);
    } else {
      MESSAGE_LEVEL = MESSAGE_LEVEL_DEFAULT;
    }

    hEventLog = RegisterEventSource (
            (LPTSTR)NULL,            // Use Local Machine
            APP_NAME);               // event log app name to find in registry

    if (hEventLog != NULL) {
       REPORT_INFORMATION (UTIL_LOG_OPEN, LOG_DEBUG);
    }

    return (hEventLog);
}


VOID
MonCloseEventLog (
)
/*++

Routine Description:

      Closes the handle to the event logger if this is the last caller

Arguments:

      None

Return Value:

      None

--*/
{
    if (hEventLog != NULL) {
        REPORT_INFORMATION (UTIL_CLOSING_LOG, LOG_DEBUG);
        DeregisterEventSource (hEventLog);
	hEventLog = NULL;
    }
}
