#ifndef __HB_LIBRARY_LOADED
#define __HB_LIBRARY_LOADED
//
//
// Module:	IPR_API_BASE_DEFS.H
//
// Version:	X-1
//
/****************************************************************************/
/*									    */
/*  COPYRIGHT (c) 1995 BY						    */
/*  DIGITAL EQUIPMENT CORPORATION, MAYNARD, MASSACHUSETTS.		    */
/*  ALL RIGHTS RESERVED.						    */
/* 									    */
/*  THIS SOFTWARE IS FURNISHED UNDER A LICENSE AND MAY BE USED AND COPIED   */
/*  ONLY IN  ACCORDANCE WITH  THE  TERMS  OF  SUCH  LICENSE  AND WITH THE   */
/*  INCLUSION OF THE ABOVE COPYRIGHT NOTICE. THIS SOFTWARE OR  ANY  OTHER   */
/*  COPIES THEREOF MAY NOT BE PROVIDED OR OTHERWISE MADE AVAILABLE TO ANY   */
/*  OTHER PERSON.  NO TITLE TO AND OWNERSHIP OF  THE  SOFTWARE IS  HEREBY   */
/*  TRANSFERRED.							    */
/* 									    */
/*  THE INFORMATION IN THIS SOFTWARE IS  SUBJECT TO CHANGE WITHOUT NOTICE   */
/*  AND  SHOULD  NOT  BE  CONSTRUED AS  A COMMITMENT BY DIGITAL EQUIPMENT   */
/*  CORPORATION.							    */
/* 									    */
/*  DIGITAL ASSUMES NO RESPONSIBILITY FOR THE USE  OR  RELIABILITY OF ITS   */
/*  SOFTWARE ON EQUIPMENT WHICH IS NOT SUPPLIED BY DIGITAL.		    */
/* 									    */
/*									    */
/****************************************************************************/
//
//             Patent Pending, Digital Equipment Corporation
//
//
// Abstract:	This header file contains some specific definitions used
// 		by performance counter support code in C.
//
// Author:		Brian F. Wibecan
// Creation Date:	26-Jun-1995
//
// Modified by:
//
// X-1	BFW		Brian F. Wibecan	26-Jun-1995
//	Original version.
//

#include "ipr_api_base_defs.h"

// Histogram buffer indexing functions

extern IPR_STATUS IprHbIndex (IN IPR_HISTVALUE value,
		IN IPR_CTRNUMBER ctr,
		IN IPR_COUNT numctrs,
		IN IPR_HISTVALUE minval,
		IN int gran,
		OUT int *index);

extern IPR_STATUS IprHbValue (IN int index,
		IN IPR_COUNT numctrs,
		IN IPR_HISTVALUE minval,
		IN int gran,
		OUT IPR_HISTVALUE *value);

extern IPR_STATUS IprHbElements (IN IPR_COUNT numctrs,
		IN IPR_HISTVALUE numval,
		IN int gran,
		OUT IPR_COUNT *numelem);

extern IPR_STATUS IprHbMaxValue (
        IN int index,                   // Index into histogram array
        IN IPR_COUNT numctrs,           // Number of counters
        IN IPR_HISTVALUE minval,        // Min value stored in histogram
        IN IPR_HISTVALUE numvals,       // Number of values in histogram
        IN int gran,                    // Granularity
        OUT IPR_HISTVALUE *hival);      // Max value at specified index

#endif // ifndef __HB_LIBRARY_LOADED
