#ifndef __IPR_API_MASKS_LOADED
#define __IPR_API_MASKS_LOADED 1
// 
//  Module:	IPR_API_MASKS.H
// 
//  Version:	X-1
// 
// ***************************************************************************
// 									    *
//   COPYRIGHT (c) 1995 BY						    *
//   DIGITAL EQUIPMENT CORPORATION, MAYNARD, MASSACHUSETTS.		    *
//   ALL RIGHTS RESERVED.						    *
//  									    *
//   THIS SOFTWARE IS FURNISHED UNDER A LICENSE AND MAY BE USED AND COPIED   *
//   ONLY IN  ACCORDANCE WITH  THE  TERMS  OF  SUCH  LICENSE  AND WITH THE   *
//   INCLUSION OF THE ABOVE COPYRIGHT NOTICE. THIS SOFTWARE OR  ANY  OTHER   *
//   COPIES THEREOF MAY NOT BE PROVIDED OR OTHERWISE MADE AVAILABLE TO ANY   *
//   OTHER PERSON.  NO TITLE TO AND OWNERSHIP OF  THE  SOFTWARE IS  HEREBY   *
//   TRANSFERRED.							    *
//  									    *
//   THE INFORMATION IN THIS SOFTWARE IS  SUBJECT TO CHANGE WITHOUT NOTICE   *
//   AND  SHOULD  NOT  BE  CONSTRUED AS  A COMMITMENT BY DIGITAL EQUIPMENT   *
//   CORPORATION.							    *
//  									    *
//   DIGITAL ASSUMES NO RESPONSIBILITY FOR THE USE  OR  RELIABILITY OF ITS   *
//   SOFTWARE ON EQUIPMENT WHICH IS NOT SUPPLIED BY DIGITAL.		    *
//  									    *
// 									    *
// ***************************************************************************
// 
//              Patent Pending, Digital Equipment Corporation
// 
//  Abstract:	This header file contains masks used in the API outside of
// 		the counter control code.
// 
//  Note: The header file is generated automatically from IPR_API_MASKS.MSK.
// 
//  Author:		Brian F. Wibecan
//  Creation Date:	20-Jun-1995
// 
//  Modified by:
// 
//  X-1	BFW		Brian F. Wibecan	20-Jun-1995
// 	Original version.
// --
// 
//  Data collection options
// 
typedef union _ipr_dmask
{
   unsigned int ipr_dmask_l_bits;
   struct
   {
      unsigned IPR_DMASK_V_TIME : 1;	//  Current time
      unsigned IPR_DMASK_V_PS : 1;	//  Processor status
      unsigned IPR_DMASK_V_PC : 1;	//  Program counter
      unsigned IPR_DMASK_V_COUNTER : 1;	//  Counter number
      unsigned IPR_DMASK_V_PID : 1;	//  Current process ID
      unsigned IPR_DMASK_V_PRIORITY : 1;	//  Current process priority
      unsigned IPR_DMASK_V_MAXIMUM : 1;	//  Sentinel marking highest allowable data item
      unsigned IPR_DMASK_V_FINAL_FILL_AREA : 25; // Generated fill region
   } ipr_dmask_l_overlay;
} IPR_DMASK;
#define IPR_DMASK_M_TIME 0x1
#define IPR_DMASK_M_PS 0x2
#define IPR_DMASK_M_PC 0x4
#define IPR_DMASK_M_COUNTER 0x8
#define IPR_DMASK_M_PID 0x10
#define IPR_DMASK_M_PRIORITY 0x20
#define IPR_DMASK_M_MAXIMUM 0x40
#define ipr_dmask_v_time ipr_dmask_l_overlay.IPR_DMASK_V_TIME
#define ipr_dmask_v_ps ipr_dmask_l_overlay.IPR_DMASK_V_PS
#define ipr_dmask_v_pc ipr_dmask_l_overlay.IPR_DMASK_V_PC
#define ipr_dmask_v_counter ipr_dmask_l_overlay.IPR_DMASK_V_COUNTER
#define ipr_dmask_v_pid ipr_dmask_l_overlay.IPR_DMASK_V_PID
#define ipr_dmask_v_priority ipr_dmask_l_overlay.IPR_DMASK_V_PRIORITY
#define ipr_dmask_v_maximum ipr_dmask_l_overlay.IPR_DMASK_V_MAXIMUM
// 
//  Histogram options
// 
typedef union _ipr_hmask
{
   unsigned int ipr_hmask_l_bits;
   struct
   {
      unsigned IPR_HMASK_V_TOTAL : 1;	//  Total interrupts
      unsigned IPR_HMASK_V_IPL : 1;	//  Interrupt priority level
      unsigned IPR_HMASK_V_MODE : 1;	//  Processor mode
      unsigned IPR_HMASK_V_ADDRESS : 1;	//  Address (PC value)
      unsigned IPR_HMASK_V_PRIORITY : 1;	//  Process software priority
      unsigned IPR_HMASK_V_FINAL_FILL_AREA : 27; // Generated fill region
   } ipr_hmask_l_overlay;
} IPR_HMASK;
#define IPR_HMASK_M_TOTAL 0x1
#define IPR_HMASK_M_IPL 0x2
#define IPR_HMASK_M_MODE 0x4
#define IPR_HMASK_M_ADDRESS 0x8
#define IPR_HMASK_M_PRIORITY 0x10
#define ipr_hmask_v_total ipr_hmask_l_overlay.IPR_HMASK_V_TOTAL
#define ipr_hmask_v_ipl ipr_hmask_l_overlay.IPR_HMASK_V_IPL
#define ipr_hmask_v_mode ipr_hmask_l_overlay.IPR_HMASK_V_MODE
#define ipr_hmask_v_address ipr_hmask_l_overlay.IPR_HMASK_V_ADDRESS
#define ipr_hmask_v_priority ipr_hmask_l_overlay.IPR_HMASK_V_PRIORITY
#endif /* #ifndef __IPR_API_MASKS_LOADED */
