#ifndef __IPR_EVENT_CONSTANTS_LOADED
#define __IPR_EVENT_CONSTANTS_LOADED
//
//
// Module:	IPR_EVENTS.H, IPR_EVENTS_T.H
//
// Version:	X-1
//
/****************************************************************************/
/*									    */
/*  COPYRIGHT (c) 1995 BY						    */
/*  DIGITAL EQUIPMENT CORPORATION, MAYNARD, MASSACHUSETTS.		    */
/*  ALL RIGHTS RESERVED.						    */
/* 									    */
/*  THIS SOFTWARE IS FURNISHED UNDER A LICENSE AND MAY BE USED AND COPIED   */
/*  ONLY IN  ACCORDANCE WITH  THE  TERMS  OF  SUCH  LICENSE  AND WITH THE   */
/*  INCLUSION OF THE ABOVE COPYRIGHT NOTICE. THIS SOFTWARE OR  ANY  OTHER   */
/*  COPIES THEREOF MAY NOT BE PROVIDED OR OTHERWISE MADE AVAILABLE TO ANY   */
/*  OTHER PERSON.  NO TITLE TO AND OWNERSHIP OF  THE  SOFTWARE IS  HEREBY   */
/*  TRANSFERRED.							    */
/* 									    */
/*  THE INFORMATION IN THIS SOFTWARE IS  SUBJECT TO CHANGE WITHOUT NOTICE   */
/*  AND  SHOULD  NOT  BE  CONSTRUED AS  A COMMITMENT BY DIGITAL EQUIPMENT   */
/*  CORPORATION.							    */
/* 									    */
/*  DIGITAL ASSUMES NO RESPONSIBILITY FOR THE USE  OR  RELIABILITY OF ITS   */
/*  SOFTWARE ON EQUIPMENT WHICH IS NOT SUPPLIED BY DIGITAL.		    */
/* 									    */
/*									    */
/****************************************************************************/
//
//             Patent Pending, Digital Equipment Corporation
//
// Abstract:	This header file contains event names used in the IPROBE API.
//
// Note -- the header files are automatically generated from IPR_EVENTS.EVT.
//
// Author:		Brian F. Wibecan
// Creation Date:	20-Jun-1995
//
// Modified by:
//
// X-1	BFW		Brian F. Wibecan	20-Jun-1995
//	Original version.
//
   typedef enum _ipr_events
   {
      IPR_EVT_ISSUES = 1,
      IPR_EVT_SINGLE_ISSUE_CYCLES,
      IPR_EVT_DUAL_ISSUE_CYCLES,
      IPR_EVT_TRIPLE_ISSUE_CYCLES,
      IPR_EVT_QUAD_ISSUE_CYCLES,
      IPR_EVT_SPLIT_ISSUE_CYCLES,
      IPR_EVT_NON_ISSUES,
      IPR_EVT_PIPE_DRY,
      IPR_EVT_PIPE_FROZEN,
      IPR_EVT_REPLAY_TRAP,
      IPR_EVT_LONG_STALLS,
      IPR_EVT_BRANCHES,
      IPR_EVT_COND_BRANCHES,
      IPR_EVT_JSR_RET,
      IPR_EVT_BRANCH_MISPR,
      IPR_EVT_PC_MISPR,
      IPR_EVT_INTEGER_OPS,
      IPR_EVT_FLOAT_OPS,
      IPR_EVT_LOADS,
      IPR_EVT_STORES,
      IPR_EVT_ICACHE_ACCESS,
      IPR_EVT_ICACHE_MISS,
      IPR_EVT_DCACHE_ACCESS,
      IPR_EVT_DCACHE_MISS,
      IPR_EVT_DTB_MISS,
      IPR_EVT_LOADS_MERGED,
      IPR_EVT_LDU_REPLAYS,
      IPR_EVT_CYCLES,
      IPR_EVT_PALCODE_CYCLES,
      IPR_EVT_ITB_MISS,
      IPR_EVT_WB_MAF_FULL_REPLAYS,
      IPR_EVT_EXTERNAL,
      IPR_EVT_ZERO_ISSUE_CYCLES,
      IPR_EVT_MEM_BARRIER_CYCLES,
      IPR_EVT_LOAD_LOCKED, //35
      IPR_EVT_SCACHE_ACCESS,
      IPR_EVT_SCACHE_READ,
      IPR_EVT_SCACHE_WRITE,
      IPR_EVT_SCACHE_VICTIM,
      IPR_EVT_BCACHE_HIT,
      IPR_EVT_BCACHE_VICTIM,
      IPR_EVT_SYS_REQ,
      IPR_EVT_SCACHE_MISS,
      IPR_EVT_SCACHE_READ_MISS,
      IPR_EVT_SCACHE_WRITE_MISS,
      IPR_EVT_SCACHE_SH_WRITE,
      IPR_EVT_BCACHE_MISS,
      IPR_EVT_SYS_INV,
      IPR_EVT_SYS_READ_REQ, //49
      IPR_EVT_PCA56_BCACHE_READ = IPR_EVT_SCACHE_ACCESS,
      IPR_EVT_PCA56_BCACHE_D_READ_HITS,
      IPR_EVT_PCA56_BCACHE_D_READ_FILLS,
      IPR_EVT_PCA56_BCACHE_WRITES,
      IPR_EVT_PCA56_BCACHE_CLEAN_WRITE_HITS,
      IPR_EVT_PCA56_BCACHE_VICTIM,
      IPR_EVT_PCA56_READ_MISS_2_LAUNCHED,
      IPR_EVT_PCA56_BCACHE_D_READS,
      IPR_EVT_PCA56_BCACHE_READ_HITS,
      IPR_EVT_PCA56_BCACHE_READ_FILLS,
      IPR_EVT_PCA56_BCACHE_WRITE_HITS,
      IPR_EVT_PCA56_BCACHE_WRITE_FILLS,
      IPR_EVT_PCA56_SYS_READ_FLUSH_BCACHE_HITS,
      IPR_EVT_PCA56_SYS_READ_FLUSH_BCACHE_MISSES,
      IPR_EVT_PCA56_READ_MISS_3_LAUNCHED, //50
      IPR_EVT_MAXIMUM
   } IPR_EVENTS;
#endif // ifndef __IPR_EVENT_CONSTANTS_LOADED
