#ifndef __IPR_KERNEL_EXT_NT_LOADED
#define __IPR_KERNEL_EXT_NT_LOADED 1
#ifdef __NT
//++
// Module:      IPR_KERNEL_EXT_NT.H
//
// Version:     X-1
//--

/****************************************************************************/
/*                                                                          */
/*  COPYRIGHT (c) 1994 BY                                                   */
/*  DIGITAL EQUIPMENT CORPORATION, MAYNARD, MASSACHUSETTS.                  */
/*  ALL RIGHTS RESERVED.                                                    */
/*                                                                          */
/*  THIS SOFTWARE IS FURNISHED UNDER A LICENSE AND MAY BE USED AND COPIED   */
/*  ONLY IN  ACCORDANCE WITH  THE  TERMS  OF  SUCH  LICENSE  AND WITH THE   */
/*  INCLUSION OF THE ABOVE COPYRIGHT NOTICE. THIS SOFTWARE OR  ANY  OTHER   */
/*  COPIES THEREOF MAY NOT BE PROVIDED OR OTHERWISE MADE AVAILABLE TO ANY   */
/*  OTHER PERSON.  NO TITLE TO AND OWNERSHIP OF  THE  SOFTWARE IS  HEREBY   */
/*  TRANSFERRED.                                                            */
/*                                                                          */
/*  THE INFORMATION IN THIS SOFTWARE IS  SUBJECT TO CHANGE WITHOUT NOTICE   */
/*  AND  SHOULD  NOT  BE  CONSTRUED AS  A COMMITMENT BY DIGITAL EQUIPMENT   */
/*  CORPORATION.                                                            */
/*                                                                          */
/*  DIGITAL ASSUMES NO RESPONSIBILITY FOR THE USE  OR  RELIABILITY OF ITS   */
/*  SOFTWARE ON EQUIPMENT WHICH IS NOT SUPPLIED BY DIGITAL.                 */
/*                                                                          */
/*                                                                          */
/****************************************************************************/
//
//             Patent Pending, Digital Equipment Corporation
//

//++
// Abstract:    This header file contains definitions for the IPROBE API
//              kernel.
//
// Author:              Bradley M. Waters
// Creation Date:       2-Dec-1994
//
// Modified by:
//
// X-1  BMW             Bradley M. Waters        2-Dec-1994
//      Original version.
//--

#include "ipr_base_defs.h"

#define IPR_MAX_LOOP_CNT 1000

typedef struct _ipr_system_data {
        IPR_CPUMASK     affinity_cpu_mask;
        IPR_CPUMASK     noaffinity_cpu_mask;
        int             allocation_granularity;
        IPR_CPUNUM      num_cpus;
} IPR_SYSTEM_DATA;

extern IPR_SYSTEM_DATA sysdata;

extern IPR_CPUNUM num_cpus;

#define AFFINITY_CPU_MASK   (sysdata.affinity_cpu_mask)
#define NOAFFINITY_CPU_MASK (sysdata.noaffinity_cpu_mask)

#endif // ifdef __NT
#endif // ifndef __IPR_KERNEL_EXT_NT_LOADED
