#ifndef __IPR_KERNEL_EXT_OSF_LOADED
#define __IPR_KERNEL_EXT_OSF_LOADED 1
#ifdef OSF
//++
// Module:	IPR_KERNEL_EXT_OSF.H
//
// Version:	X-1
//--

/****************************************************************************/
/*									    */
/*  COPYRIGHT (c) 1994 BY						    */
/*  DIGITAL EQUIPMENT CORPORATION, MAYNARD, MASSACHUSETTS.		    */
/*  ALL RIGHTS RESERVED.						    */
/* 									    */
/*  THIS SOFTWARE IS FURNISHED UNDER A LICENSE AND MAY BE USED AND COPIED   */
/*  ONLY IN  ACCORDANCE WITH  THE  TERMS  OF  SUCH  LICENSE  AND WITH THE   */
/*  INCLUSION OF THE ABOVE COPYRIGHT NOTICE. THIS SOFTWARE OR  ANY  OTHER   */
/*  COPIES THEREOF MAY NOT BE PROVIDED OR OTHERWISE MADE AVAILABLE TO ANY   */
/*  OTHER PERSON.  NO TITLE TO AND OWNERSHIP OF  THE  SOFTWARE IS  HEREBY   */
/*  TRANSFERRED.							    */
/* 									    */
/*  THE INFORMATION IN THIS SOFTWARE IS  SUBJECT TO CHANGE WITHOUT NOTICE   */
/*  AND  SHOULD  NOT  BE  CONSTRUED AS  A COMMITMENT BY DIGITAL EQUIPMENT   */
/*  CORPORATION.							    */
/* 									    */
/*  DIGITAL ASSUMES NO RESPONSIBILITY FOR THE USE  OR  RELIABILITY OF ITS   */
/*  SOFTWARE ON EQUIPMENT WHICH IS NOT SUPPLIED BY DIGITAL.		    */
/* 									    */
/*									    */
/****************************************************************************/
//
//             Patent Pending, Digital Equipment Corporation
//

/*++
// Abstract:	This header file contains definitions for the IPROBE API
//		kernel.
//
// Author:		Brian F. Wibecan
// Creation Date:	28-Oct-1994
//
// Modified by:
//
// X-2  AJD2016		Anil J. D'silva		11-Nov-1994
//	Modified the VMS file for OSF1
//
// X-1	BFW		Brian F. Wibecan	28-Oct-1994
//	Original version.
*/

#include "ipr_base_defs.h"


#define AFFINITY_CPU_MASK ipr_cp_mask
#define NOAFFINITY_CPU_MASK ipr_cp_mask
#define IPR_MAX_CONTEXTB 500

struct _ipr_bufdsc;

typedef struct _ipr_bufdsc IPR_BUFDSC;

extern IPR_CPUMASK
  AFFINITY_CPU_MASK,
  NOAFFINITY_CPU_MASK;

extern IPR_CPUNUM IprFindCurrentCPU (void);

#define FIND_CURRENT_CPU() (cpu_number())

extern IPR_STATUS
//   KIprWriteFile (void *bptr, IPR_SIZE bsize, struct RAB *pRAB),
//   IprWriteOneSampleBuffer (void *bptr, IPR_SIZE bsize, FILE *f),
   IprUpdatePerfmon(IPR_CPUNUM cpu, uint64 arg1,uint64 arg2),
   IprAvailableCounters(IN IPR_EVENT evt, OUT IPR_CTRMASK *cmask),
   KIprGetBuffer(IPR_SBUFFER *srcbuffer, IPR_SBUFFER *usrbuffer),
   KIprAllocate(void),
   kIprDeallocate(void),
   IprAllocateDevice (void),
   IprDeallocateDevice (void);
extern IPR_STATUS KIprSetPme(IN unsigned int pid, IN int state, //-1 state is
                             IN IPR_BOOLEAN children,   // to get the pme bit
			     OUT IPR_BOOLEAN *prev_state);
extern IPR_STATUS IprHbIndex(IN IPR_HISTVALUE value, IN IPR_CTRNUMBER ctr,
			     IN IPR_COUNT numctrs, IN IPR_HISTVALUE minval,
			     IN int gran, IN int *index);

extern IPR_COUNT IprNumCounters (void);
extern IPR_STATUS IprAvailableFuncs (OUT IPR_FMASK *funcs);
extern IPR_STATUS IprAvailableFreqs (IN const IPR_EVENT event, 
				     OUT IPR_FREQ *freqs);
extern IPR_STATUS IprAvailableEvents (IN const IPR_EVENTSET *initial_events,
                             OUT IPR_EVENTSET *more_events);
extern IPR_STATUS IprExpandEventSet(IN const IPR_EVENTSET *s, 
				     OUT IPR_EVENT *a, IN IPR_SIZE size);


#endif // ifdef OSF
#endif // ifndef __IPR_KERNEL_EXT_OSF_LOADED


