#ifndef __IPR_KERNEL_EXT_VMS_LOADED
#define __IPR_KERNEL_EXT_VMS_LOADED 1
#ifdef __VMS
//++
// Module:	IPR_KERNEL_EXT_VMS.H
//
// Version:	X-1
//--

/****************************************************************************/
/*									    */
/*  COPYRIGHT (c) 1994 BY						    */
/*  DIGITAL EQUIPMENT CORPORATION, MAYNARD, MASSACHUSETTS.		    */
/*  ALL RIGHTS RESERVED.						    */
/* 									    */
/*  THIS SOFTWARE IS FURNISHED UNDER A LICENSE AND MAY BE USED AND COPIED   */
/*  ONLY IN  ACCORDANCE WITH  THE  TERMS  OF  SUCH  LICENSE  AND WITH THE   */
/*  INCLUSION OF THE ABOVE COPYRIGHT NOTICE. THIS SOFTWARE OR  ANY  OTHER   */
/*  COPIES THEREOF MAY NOT BE PROVIDED OR OTHERWISE MADE AVAILABLE TO ANY   */
/*  OTHER PERSON.  NO TITLE TO AND OWNERSHIP OF  THE  SOFTWARE IS  HEREBY   */
/*  TRANSFERRED.							    */
/* 									    */
/*  THE INFORMATION IN THIS SOFTWARE IS  SUBJECT TO CHANGE WITHOUT NOTICE   */
/*  AND  SHOULD  NOT  BE  CONSTRUED AS  A COMMITMENT BY DIGITAL EQUIPMENT   */
/*  CORPORATION.							    */
/* 									    */
/*  DIGITAL ASSUMES NO RESPONSIBILITY FOR THE USE  OR  RELIABILITY OF ITS   */
/*  SOFTWARE ON EQUIPMENT WHICH IS NOT SUPPLIED BY DIGITAL.		    */
/* 									    */
/*									    */
/****************************************************************************/
//
//             Patent Pending, Digital Equipment Corporation
//

//++
// Abstract:	This header file contains definitions for the IPROBE API
//		kernel.
//
// Author:		Brian F. Wibecan
// Creation Date:	28-Oct-1994
//
// Modified by:
//
// X-1	BFW		Brian F. Wibecan	28-Oct-1994
//	Original version.
//--

#include "ipr_base_defs.h"
#include <builtins.h>
#include <exedef.h>
#include <rabdef.h>

//#define COPY_OUT(to,from) *to = (from)
//#define COPY_IN(to,from) to = (*from)

#define AFFINITY_CPU_MASK smp$gl_active_cpus
#define NOAFFINITY_CPU_MASK smp$gl_cpuconf

extern IPR_CPUMASK
  AFFINITY_CPU_MASK,
  NOAFFINITY_CPU_MASK;

extern IPR_CPUNUM KIprFindCurrentCPU (void);
extern IPR_STATUS KIprSetAffinity (IPR_CPUNUM cpu, IPR_BOOLEAN val,
                                   IPR_CPUNUM *prevaff);

#define FIND_CURRENT_CPU(ignore) KIprFindCurrentCPU ()

//extern uint64
//   MTPR_PERFMON (uint64, uint64);

//#define WRITE_TO_PERFMON MTPR_PERFMON

extern IPR_STATUS
   KIprWriteFile (void *bptr, IPR_SIZE bsize, struct RAB *pRAB),
   KIprWriteOneSampleBuffer (void *bptr, IPR_SIZE bsize, struct RAB *pRAB),
   KIprAllocateDevice (uint64 a1, uint64 a2),
   KIprDeallocateDevice (void);

#endif // ifdef __VMS
#endif // ifndef __IPR_KERNEL_EXT_VMS_LOADED
