#ifndef __IPR_OS_VMS_LOADED
#define __IPR_OS_VMS_LOADED
#ifdef __VMS
//
//
// Module:	IPR_OS_VMS.H
//
// Version:	X-1
//
/****************************************************************************/
/*									    */
/*  COPYRIGHT (c) 1995 BY						    */
/*  DIGITAL EQUIPMENT CORPORATION, MAYNARD, MASSACHUSETTS.		    */
/*  ALL RIGHTS RESERVED.						    */
/* 									    */
/*  THIS SOFTWARE IS FURNISHED UNDER A LICENSE AND MAY BE USED AND COPIED   */
/*  ONLY IN  ACCORDANCE WITH  THE  TERMS  OF  SUCH  LICENSE  AND WITH THE   */
/*  INCLUSION OF THE ABOVE COPYRIGHT NOTICE. THIS SOFTWARE OR  ANY  OTHER   */
/*  COPIES THEREOF MAY NOT BE PROVIDED OR OTHERWISE MADE AVAILABLE TO ANY   */
/*  OTHER PERSON.  NO TITLE TO AND OWNERSHIP OF  THE  SOFTWARE IS  HEREBY   */
/*  TRANSFERRED.							    */
/* 									    */
/*  THE INFORMATION IN THIS SOFTWARE IS  SUBJECT TO CHANGE WITHOUT NOTICE   */
/*  AND  SHOULD  NOT  BE  CONSTRUED AS  A COMMITMENT BY DIGITAL EQUIPMENT   */
/*  CORPORATION.							    */
/* 									    */
/*  DIGITAL ASSUMES NO RESPONSIBILITY FOR THE USE  OR  RELIABILITY OF ITS   */
/*  SOFTWARE ON EQUIPMENT WHICH IS NOT SUPPLIED BY DIGITAL.		    */
/* 									    */
/*									    */
/****************************************************************************/
//
//             Patent Pending, Digital Equipment Corporation
//

/*  ipr_os_vms.h

    Function declarations for vms specific routines.
-----
Modification History
~~~~~~~~~~~~~~~~~
04  Aug-1994, Ravindra Kulkarni
    Removed the definition MAX_UINT as it will not work on VMS.

03  Aug-1994, Michael Dempsey
    Added definition for MAX_UINT

02  Jun-1994, Ravindra Kulkarni
    Added declaration for init_modes.

01  May-1994, Ravindra Kulkarni
    Wrote original code

*/
#define MAX_UINT 0xFFFFFFFF

# include <descrip.h>

extern IPR_STATUS OS_declare_ctrlc_handler(FLAG *flag);
extern IPR_STATUS keyboard_handler(void * x);
extern IPR_STATUS ast_handler(int temp);
extern IPR_STATUS OS_cancel_ctrlc_handler();
extern IPR_STATUS OS_schedule_wakeup_time(time_t timeout_time);
extern void get_descriptor(struct dsc$descriptor *d, char *string);
extern IPR_STATUS OS_schedule_repeating_wakeup(time_t delta_time);
extern IPR_STATUS OS_clear_repeating_wakeup();
extern IPR_STATUS OS_declare_wakeup_handler(FLAG *flag);
extern IPR_STATUS OS_wait_for_signal();
extern IPR_STATUS OS_declare_pfm_handler(FLAG *flag);
extern void OS_cancel_wakeup_handler();
extern void OS_cancel_pfm_handler();
extern IPR_STATUS OS_get_sys_info();
extern IPR_STATUS update_time();
extern void free_memory();
extern void init_modes();
extern void InitiateOS();

#endif // ifdef __VMS
#endif // ifndef __IPR_OS_VMS_LOADED
