//
//
// Module:	IPRCTRNM.H
//
// Version:	X-1
//
/****************************************************************************/
/*									    */
/*  COPYRIGHT (c) 1995 BY						    */
/*  DIGITAL EQUIPMENT CORPORATION, MAYNARD, MASSACHUSETTS.		    */
/*  ALL RIGHTS RESERVED.						    */
/* 									    */
/*  THIS SOFTWARE IS FURNISHED UNDER A LICENSE AND MAY BE USED AND COPIED   */
/*  ONLY IN  ACCORDANCE WITH  THE  TERMS  OF  SUCH  LICENSE  AND WITH THE   */
/*  INCLUSION OF THE ABOVE COPYRIGHT NOTICE. THIS SOFTWARE OR  ANY  OTHER   */
/*  COPIES THEREOF MAY NOT BE PROVIDED OR OTHERWISE MADE AVAILABLE TO ANY   */
/*  OTHER PERSON.  NO TITLE TO AND OWNERSHIP OF  THE  SOFTWARE IS  HEREBY   */
/*  TRANSFERRED.							    */
/* 									    */
/*  THE INFORMATION IN THIS SOFTWARE IS  SUBJECT TO CHANGE WITHOUT NOTICE   */
/*  AND  SHOULD  NOT  BE  CONSTRUED AS  A COMMITMENT BY DIGITAL EQUIPMENT   */
/*  CORPORATION.							    */
/* 									    */
/*  DIGITAL ASSUMES NO RESPONSIBILITY FOR THE USE  OR  RELIABILITY OF ITS   */
/*  SOFTWARE ON EQUIPMENT WHICH IS NOT SUPPLIED BY DIGITAL.		    */
/* 									    */
/*									    */
/****************************************************************************/
//
//             Patent Pending, Digital Equipment Corporation
//
//  iprctrnm.h
//
//  Offset definition file for exensible counter objects and counters
//
//  These "relative" offsets must start at 0 and be multiples of 2 (i.e.
//  even numbers). In the Open Procedure, they will be added to the
//  "First Counter" and "First Help" values fo the device they belong to,
//  in order to determine the  absolute location of the counter and
//  object names and corresponding help text in the registry.
//
//  this file is used by the extensible counter DLL code as well as the
//  counter name and help text definition file (.INI) file that is used
//  by LODCTR to load the names into the registry.
//
#define EV4_CTR_OBJ		0
#define ISSUES			2
#define PIPEDRY			4
#define LOAD			6
#define PIPEFROZE		8
#define BRANCH			10
#define PAL			12
#define CYCLES			14
#define NONISSUES		16
#define EXT0			18
#define DCACHEMISS		20
#define ICACHEMISS		22
#define DUALISSUES		24
#define BRANCH_MISPREDICTS	26
#define FP_INSTRUCTIONS		28
#define INT_INSTRUCTIONS	30
#define STORES			32
#define EXT1			34

#define EV4_PALCTR_OBJ			36
#define MACHINECHECK			38
#define ARITHMETICEXCEPTION		40
#define INTERRUPT			42
#define ITBMISS				44
#define NATIVEDTBMISS			46
#define PALDTBMISS 			48
#define ITBACCESSVIOLATION		50
#define DTBACCESSVIOLATION		52
#define UNALIGNEDACCESS			54
#define ILLEGALINSTRUCTION		56
#define FLOATINGENABLEEXCEPTION		58
#define ITBTRANSLATIONNOTVALID		60
#define DTBTRANSLATIONNOTVALID		62
#define PTEMISS				64
#define PALKERNELSTACKMISS		66
#define PDETRANSLATIONNOTVALID		68
#define HALT				70
#define RESTART				72
#define DRAINABORT			74
#define INITPAL				76
#define WRENTRY				78
#define SWAPIRQL			80
#define READIRQL			82
#define DISABLEINTERRUPT		84
#define ENABLEINTERRUPT			86
#define SWAPPALCODE			88
#define SETSOFTWAREINTERRUPT		90
#define CLEARSOFTWAREINTERRUPT		92
#define RETURNFROMEXCEPTION		94
#define RETURNFROMSYSTEMCALL		96
#define SWAPCONTEXT			98
#define SWAPPROCESS			100
#define READMCES			102
#define WRITEMCES			104
#define TBINVALIDATEALL			106
#define TBINVALIDATESINGLE		108
#define DTBINVALIDATESINGLE		110
#define READKERNELSTACK			112
#define SWAPKERNELSTACK			114
#define READPROCESSORSTATUS		116
#define READPCR				118
#define READTHREAD			120
#define READCOUNTERS			122
#define READSTATE			124
#define WRITEPERFMON			126
#define INITPCR				128
#define USERBREAKPOINT			130
#define SYSTEMCALL			132
#define IMB				134
#define GENERATETRAP			136
#define READTEB				138
#define KERNELBREAKPOINT		140
#define CALLKERNELDEBUGGER		142
#define TBISASN				144
#define MISC1				146
#define MISC2				148
#define MISC3				150

//#define IPR_ICTR_OBJ			152
//#define AllocBD			154
//#define DeAllocBD			156
//#define AllocHB			158
//#define DeAllocHB			160
//#define AllocSB			162
//#define DeAllocSB			164
//#define AllocSK			166
//#define DeAllocSK			168
//#define AllocPB			170
//#define DeAllocPB			172
