//
// Program REP for Windows NT
// Module PCV_H
//
// Copyright:
//  1995 by Digital Equipment Corporation
//
// Created:
//  Michael Dempsey
//  February 27, 1995
//
// Modification history:
//

// CODEVIEW signatures
#define CV_SIGNATURE	"NB09"
#define CV_SUB_SIGNATURE	1

// CODEVIEW subsection types
#define sstModule		0x120
#define sstTypes		0x121
#define sstPublic		0x122
#define sstPublicSym	0x123
#define sstSymbols		0x124
#define sstAlignSym		0x125
#define sstSrcLnSeg		0x126
#define	sstSrcModule	0x127
#define	sstLibraries	0x128
#define sstGlobalSym	0x129
#define sstGlobalPub	0x12A
#define sstGlobalTypes	0x12B
#define sstMPC			0x12C
#define sstSegMap		0x12D
#define sstSegName		0x12E
#define sstPreComp		0x12F
#define sstOffsetMap32	0x132
#define sstFileIndex	0x133
#define sstStaticSym	0x134

// CODEVIEW symbol indices (just the ones REP cares about)
#define LOCAL_PROC_START	0x204
#define GLOBAL_PROC_START	0x205

// CODEVIEW symbol table header
typedef struct
{
	char 		Signature[4];
	long 		pLfoDir;		// offset to subsection directory
} STHDR;

// SUBSECDIR defines CODEVIEW subsection directory entries
typedef struct
{
	short		subsect;
	short		iMod;
	ULONG		lfo;
	long		cb;
} SUBSECDIR;

// SUBSECDIRHDR defines the CODEVIEW subsection directory header
typedef struct
{
	short		cbDirHeader;
	short		cbDirEntry;
	long		cDir;
	long		mbz1;
	long		mbz2;
} SUBSECDIRHDR;

typedef struct
{
	short		len;
	short		index;
	char		data[1];
} ASYMBOL, *PASYMBOL;

typedef struct
{
	short		len;
	short		index;
	ULONG		pParent;
	ULONG		pEnd;
	ULONG		pNext;
	ULONG		ProcLength;
	ULONG		bgStart;
	ULONG		DbgEnd;
	ULONG		AddrOffset;
	short		AddrSeg;
	short		ProcType;
	char		flags;
	char		namelen;
	char		name[1];
} PROCSYM, *PPROCSYM;

typedef struct
{
	PASYMBOL	Sym;
	ULONG		EndOfSection;
	ULONG		KeyAddr;
	void		*Next;
} ORDERLIST, *PORDERLIST;
 
