#ifndef __EV6_MASKS_LOADED
#define __EV6_MASKS_LOADED 1
/****************************************************************************/
/*                                                                          */
/*  COPYRIGHT (c) 1999 BY                                                   */
/*  Digital Equiptment/Compaq Computer Corporation.                         */
/*  ALL RIGHTS RESERVED.                                                    */
/*                                                                          */
/*  This file is part of the Iprobe performance suite for Alpha processors. */
/*                                                                          */
/*  This program is free software; you can redistribute it and/or modify    */
/*  it under the terms of the GNU General Public License as published by    */
/*  the Free Software Foundation; either version 2 of the License, or       */
/*  (at your option) any later version.                                     */
/*                                                                          */
/*  This program is distributed in the hope that it will be useful,         */
/*  but WITHOUT ANY WARRANTY; without even the implied warranty of          */
/*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the           */
/*  GNU General Public License for more details.                            */
/*                                                                          */
/*  You should have received a copy of the GNU General Public License       */
/*  along with this program; if not, write to the Free Software             */
/*  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307    */
/*                                                                          */
/****************************************************************************/

// ***************************************************************************
// 
//              Patent Pending, Digital Equipment Corporation
// 
//  Abstract:	This header file contains EV6 mask definitions for the
// 		IPROBE API counter control code.  These masks are consistent
// 		with the PALcode interface used in common by Digital Unix
// 		and OpenVMS.  These definitions are also consistent with
// 		the interface for Windows NT at least up to V3.5. This file
//              is a modified copy of ev4_masks.h.
// 
// 
//  Author:		Jim Goddard
//  Creation Date:	15-Jun-1999
// 
//  Modified by:
// 
//                      Jim Goddard	15-Jun-1999
// 	Original version.
// --
// 
//  EV6 MUX control format
// 
#include "stdtypes.h"
typedef union _ev6_muxctl
{
   uint64 ev6_muxctl_q_bits;
   struct
   {
     unsigned EV6_MUXCTL_V_PCMUX1 : 4;  // counter 1 event selection
     unsigned EV6_MUXCTL_V_PCMUX0 : 1;  // counter 0 event selection
     unsigned EV6_MUXCTL_V_IGN0   : 1;
     unsigned EV6_MUXCTL_V_PC1    : 20; // counter 1 frequency setting
     unsigned EV6_MUXCTL_V_IGN1   : 2;
     unsigned EV6_MUXCTL_V_PC0    : 20; // counter 0 frequency setting
     unsigned EV6_MUXCTL_V_IGN2   : 16;
   } ev6_muxctl_l_overlay;
} EV6_MUXCTL;

#define EV6_MAX_COUNTER_VALUE 0xfffffL

#define EV6_MUXCTL_M_PCMUX1 0xf
#define EV6_MUXCTL_M_PCMUX0 0x10
#define EV6_MUXCTL_M_PC1 0x3ffffc0
#define EV6_MUXCTL_M_PC0 0xfffff0000000L
#define EV6_MUXCTL_K_PCMUX1 0
#define EV6_MUXCTL_K_PCMUX0 4
#define EV6_MUXCTL_K_PC1 6
#define EV6_MUXCTL_K_PC0 28


#define ev6_muxctl_v_pc1 ev6_muxctl_l_overlay.EV6_MUXCTL_V_PC1
#define ev6_muxctl_v_pc0 ev6_muxctl_l_overlay.EV6_MUXCTL_V_PC0
#define ev6_muxctl_v_pcmux0 ev6_muxctl_l_overlay.EV6_MUXCTL_V_PCMUX0
#define ev6_muxctl_v_pcmux1 ev6_muxctl_l_overlay.EV6_MUXCTL_V_PCMUX1
#endif /* #ifndef __EV6_MASKS_LOADED */




